Bug 165548 - kded4 crashes with SIGSEGV during package upgrade (KDirWatch, inotify)
Summary: kded4 crashes with SIGSEGV during package upgrade (KDirWatch, inotify)
Status: RESOLVED FIXED
Alias: None
Product: kdelibs
Classification: Frameworks and Libraries
Component: kded (show other bugs)
Version: 4.1
Platform: Debian testing Linux
: NOR crash
Target Milestone: ---
Assignee: David Faure
URL:
Keywords:
: 154788 166959 168024 168275 170629 172918 173524 173696 173788 173965 174500 174598 174963 175005 175628 175761 175790 175817 176168 176518 176531 176897 176898 177132 177155 177190 177285 177605 177610 177632 177647 177823 178268 178468 178620 178700 178798 178962 179026 179027 179098 179186 179207 179255 179830 180274 180391 180547 180652 180955 181719 182270 182816 182965 183584 183674 183921 184101 184171 184585 184870 185293 185304 185607 185609 185963 186834 187005 187163 187667 188003 188441 188443 188519 189109 189793 190368 191187 191818 193834 196951 198692 198965 208789 216782 216914 221890 222148 225793 228401 257252 (view as bug list)
Depends on:
Blocks:
 
Reported: 2008-07-02 05:03 UTC by vrvilla
Modified: 2010-11-18 16:32 UTC (History)
115 users (show)

See Also:
Latest Commit:
Version Fixed In:
Sentry Crash Report:


Attachments
kded4 running under valgrind during KDE update (21.42 KB, text/plain)
2009-01-14 23:59 UTC, auxsvr
Details
Crash file (292 bytes, text/plain)
2009-03-15 06:27 UTC, mikey.x88
Details
KDE Daemon Crash Report (2.69 KB, application/octet-stream)
2009-06-22 12:13 UTC, Salvatore LaFata
Details
New crash information added by DrKonqi (16.15 KB, text/plain)
2010-02-03 18:58 UTC, Nico Kruber
Details
kdevelop 3.9.97 backtrace with debug symbols (18.75 KB, text/plain)
2010-02-05 18:31 UTC, Karl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description vrvilla 2008-07-02 05:03:29 UTC
Version:            (using KDE 4.0.5)
OS:                Linux

Per directions from KDE Crash Handler, contrary to your request to be submitted in English...

but adding the information, that error occurred during install phase of Update manager, today.

Pasted from report.

Application: KDE Daemon (kded4), signal SIGSEGV
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 0xb6296a20 (LWP 12886)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[KCrash handler]
#6  0xb75a8c87 in QString::operator== () from /usr/lib/libQtCore.so.4
#7  0xb7d2b1a8 in ?? () from /usr/lib/kde4/lib/libkio.so.5
#8  0xb7d2b9fa in ?? () from /usr/lib/kde4/lib/libkio.so.5
#9  0xb76684f9 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#10 0xb7668bc2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#11 0xb76a5ca3 in QSocketNotifier::activated () from /usr/lib/libQtCore.so.4
#12 0xb766eb8f in QSocketNotifier::event () from /usr/lib/libQtCore.so.4
#13 0xb6bcbc0c in QApplicationPrivate::notify_helper ()
   from /usr/lib/libQtGui.so.4
#14 0xb6bd07a9 in QApplication::notify () from /usr/lib/libQtGui.so.4
#15 0xb7ad3d93 in KApplication::notify () from /usr/lib/kde4/lib/libkdeui.so.5
#16 0xb76536a9 in QCoreApplication::notifyInternal ()
   from /usr/lib/libQtCore.so.4
#17 0xb767ee23 in ?? () from /usr/lib/libQtCore.so.4
#18 0xb6605bf8 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#19 0xb6608e5e in ?? () from /usr/lib/libglib-2.0.so.0
#20 0xb66093ac in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#21 0xb767ef98 in QEventDispatcherGlib::processEvents ()
   from /usr/lib/libQtCore.so.4
#22 0xb6c5f1b5 in ?? () from /usr/lib/libQtGui.so.4
#23 0xb765292d in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
#24 0xb7652abd in QEventLoop::exec () from /usr/lib/libQtCore.so.4
#25 0xb7654d3d in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
#26 0xb6bcb567 in QApplication::exec () from /usr/lib/libQtGui.so.4
#27 0xb7fcad14 in kdemain () from /usr/lib/kde4/lib/libkdeinit4_kded4.so
#28 0x08048572 in _start ()
#0  0xb7fd4410 in __kernel_vsyscall ()
Comment 1 David Faure 2008-07-02 10:02:49 UTC
On Wednesday 02 July 2008, vrvilla wrote:
> #6  0xb75a8c87 in QString::operator== () from /usr/lib/libQtCore.so.4
> #7  0xb7d2b1a8 in ?? () from /usr/lib/kde4/lib/libkio.so.5
> #8  0xb7d2b9fa in ?? () from /usr/lib/kde4/lib/libkio.so.5


Unfortunately, you're missing the debug symbols for the important part of the backtrace: libkio.

Can you install debug symbols or recompile with -DCMAKE_BUILD_TYPE=debugfull ?

Which "update manager" are you talking about btw?

Also, a few kded4 crashes have been fixed already, if you can compile from sources,
please compile svn trunk.
Comment 2 vrvilla 2008-07-02 20:17:35 UTC
Dear David:

All things  considered...

I am a 'relative' newbie to Linux. Not new to computers.

I gave you what information I could. Since I am using Ubuntu/Kubuntu, 
some of what you ask is a bit past what I can do...( considering the 
program names you gave me are neither listed nor installable at this time).

I am in a strange situation, in that I am running under Kubuntu, in a 
system that was loaded with Ubuntu.

The error response, was a courtesy, in hopes that if something might be 
obtainable (information wise), you have it. If not, my main complaint in 
trying to use Linux comes into play...

Documentation is the only thing keeping it from going anywhere.

Few, dealing with writing instructions for Linux, Ubuntu, Suse...etc, 
really know how to write instructions.

Your request to me entailed recompiling...

moot...

Don't know how...

I can install a rebuild of the kernel... (not at this time, as it isn't 
needed... but only because I know of the program that does it, where I 
have little to do to upgrade the kernel...at which point the system will 
die within 2 days...)

So I don't do that.

Send me a .tar file, and I will spam it back... (NO ONE - has written  
instructions that work/are understandable/and don't anticipate I have 20 
PhDs in linux. I have looked. )

Please don't send me one.

I will try to co-operate, but, unless you wish to have classical English 
words no longer in common use, please keep it simple.

(I know how to tweak Windows, have, at various times, programmed in 25 
languages including binaries, octals, machine (decimal) Assemblers, 
Fortran, and ... cripes, even Cobol (sux). It is not that I don't 
understand computers, but certain elements of Linux, as yet, make no 
sense to me, at this time. (mostly because, documentation is poorly 
written.)

vince

David Faure wrote:
[bugs.kde.org quoted mail]

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <meta content="text/html;charset=UTF-8" http-equiv="Content-Type">
  <title></title>
</head>
<body bgcolor="#ffffff" text="#000000">
Dear David:<br>
<br>
All things  considered...<br>
<br>
I am a 'relative' newbie to Linux. Not new to computers.<br>
<br>
I gave you what information I could. Since I am using Ubuntu/Kubuntu,
some of what you ask is a bit past what I can do...( considering the
program names you gave me are neither listed nor installable at this
time).<br>
<br>
I am in a strange situation, in that I am running under Kubuntu, in a
system that was loaded with Ubuntu.<br>
<br>
The error response, was a courtesy, in hopes that if something might be
obtainable (information wise), you have it. If not, my main complaint
in trying to use Linux comes into play... <br>
<br>
Documentation is the only thing keeping it from going anywhere.<br>
<br>
Few, dealing with writing instructions for Linux, Ubuntu, Suse...etc,
really know how to write instructions.<br>
<br>
Your request to me entailed recompiling... <br>
<br>
moot...<br>
<br>
Don't know how...<br>
<br>
I can install a rebuild of the kernel... (not at this time, as it isn't
needed... but only because I know of the program that does it, where I
have little to do to upgrade the kernel...at which point the system
will die within 2 days...)<br>
<br>
So I don't do that.<br>
<br>
Send me a .tar file, and I will spam it back... (NO ONE - has written 
instructions that work/are understandable/and don't anticipate I have
20 PhDs in linux. I have looked. )<br>
<br>
Please don't send me one.<br>
<br>
I will try to co-operate, but, unless you wish to have classical
English words no longer in common use, please keep it simple.<br>
<br>
(I know how to tweak Windows, have, at various times, programmed in 25
languages including binaries, octals, machine (decimal) Assemblers,
Fortran, and ... cripes, even Cobol (sux). It is not that I don't
understand computers, but certain elements of Linux, as yet, make no
sense to me, at this time. (mostly because, documentation is poorly
written.)<br>
<br>
vince<br>
<br>
David Faure wrote:
<blockquote cite="mid:20080702080251.28222.qmail@ktown.kde.org"
 type="cite">
  <pre wrap="">------- You are receiving this mail because: -------
You reported the bug, or are watching the reporter.
         
<a class="moz-txt-link-freetext" href="http://bugs.kde.org/show_bug.cgi?id=165548">http://bugs.kde.org/show_bug.cgi?id=165548</a>         




------- Additional Comments From faure kde org  2008-07-02 10:02 -------
On Wednesday 02 July 2008, vrvilla wrote:
  </pre>
  <blockquote type="cite">
    <pre wrap="">#6  0xb75a8c87 in QString::operator== () from /usr/lib/libQtCore.so.4
#7  0xb7d2b1a8 in ?? () from /usr/lib/kde4/lib/libkio.so.5
#8  0xb7d2b9fa in ?? () from /usr/lib/kde4/lib/libkio.so.5
    </pre>
  </blockquote>
  <pre wrap=""><!---->

Unfortunately, you're missing the debug symbols for the important part of the backtrace: libkio.

Can you install debug symbols or recompile with -DCMAKE_BUILD_TYPE=debugfull ?

Which "update manager" are you talking about btw?

Also, a few kded4 crashes have been fixed already, if you can compile from sources,
please compile svn trunk.

  </pre>
</blockquote>
<br>
</body>
</html>
Comment 3 vrvilla 2008-07-02 20:31:30 UTC
I just replied to Mr. Faure, and having thoroughly read your email, I 
feel that park of my reply to him is exemplified in your email.

Quote:

/Documentation is the only thing keeping it from going anywhere.

Few, dealing with writing instructions for Linux, Ubuntu, Suse...etc, 
really know how to write instructions./

I have no idea what you are asking, suggesting, implying or hinting at.

Could you be a little less brief?

Vince

Christophe Giboudeaux wrote:
[bugs.kde.org quoted mail]

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <meta content="text/html;charset=UTF-8" http-equiv="Content-Type">
</head>
<body bgcolor="#ffffff" text="#000000">
I just replied to Mr. Faure, and having thoroughly read your email, I
feel that park of my reply to him is exemplified in your email. <br>
<br>
Quote:<br>
<br>
<pre wrap=""><big><i>Documentation is the only thing keeping it from going anywhere.

Few, dealing with writing instructions for Linux, Ubuntu, Suse...etc, 
really know how to write instructions.</i></big></pre>
I have no idea what you are asking, suggesting, implying or hinting at.<br>
<br>
Could you be a little less brief?<br>
<br>
Vince<br>
<br>
Christophe Giboudeaux wrote:
<blockquote cite="mid:20080702090229.31047.qmail@ktown.kde.org"
 type="cite">
  <pre wrap="">------- You are receiving this mail because: -------
You reported the bug, or are watching the reporter.
         
<a class="moz-txt-link-freetext" href="http://bugs.kde.org/show_bug.cgi?id=165548">http://bugs.kde.org/show_bug.cgi?id=165548</a>         
kropx77 gmail com changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
           Severity|normal                      |crash

  </pre>
</blockquote>
<br>
</body>
</html>
Comment 4 David Faure 2008-07-02 20:59:33 UTC
This isn't a discussion forum about linux documentation, there are plenty other places for that. This is a bug report about a kded4 crash, without any information for me to fix it because of missing debug symbols and because of no instructions for how to trigger this crash -- both of which are not your fault; distribution packages usually don't have debug symbols, and it happens with such background processes like kded, that something happens which isn't a direct result of a user action (some things are timer based etc.). Therefore I'm closing this report because I know that I *have* fixed a number of kded4 crashes already, so it's likely another instance of such a crash. If you still get a crash with KDE-4.1 once it's out, please report it.

I asked whether you could recompile because the original report didn't mention kubuntu packages at all, it simply said "Platform: unspecified", and version 4.0.5, so I thought that maybe it was self-compiled. Yes, now I'm the one complaining about lack of documentation :-)
Comment 5 vrvilla 2008-07-02 21:15:42 UTC
Dear David:

With more information, we all get to a point of understanding.

The documentation comment came from my own, really big problem with 
Linux.  (but, I guess you figured that out.)

I thank you for the information given in the last reply, as it does cast 
light on what was needed, and what is being done.

Much better than missive from another respondent that told me even less, 
but, again, that is another story.

In truth, I would like to help, when I can. Mostly, though, I would 
prefer simplicity and functionality, with no need to stir my crotchity 
old bones.

As I said, I initially only replied, if the given info was enough. It 
was all that I knew to send... heheheh... documentation being what it was...


Best to you, and may you have fewer "P.I.T.A's" than I can be.

vince
David Faure wrote:
[bugs.kde.org quoted mail]
Comment 6 George Kiagiadakis 2008-08-05 12:09:36 UTC
I was about to report this again but bugzilla's check for duplicates strangely worked this time :D

To the subject now, I can confirm that kded4 crashes when I upgrade packages using synaptic. It has crashed three times so far, one using kde 4.0.84, one using kde 4.0.98 and one today, using kde 4.1.0. Two out of the three times I was upgrading kde packages. The first time I was upgrading qt and other unrelated packages. What I noticed is that it is possibly related to the mime database as it seems to crash when debian runs some post-install scripts that output messages like this:
Unknown media type in type 'uri/mms'

The backtrace (using kde 4.1.0) is this:

Εφαρμογή: Δαίμονας του KDE (kded4), σήμα SIGSEGV
[Thread debugging using libthread_db enabled]
[New Thread 0xb60e9700 (LWP 4565)]
[KCrash handler]
#6  0xb7368865 in QString::operator== (this=0x816c278, other=@0xbf94190c)
    at ../../include/QtCore/../../src/corelib/tools/qstring.h:106
#7  0xb7bef9f6 in KDirWatchPrivate::inotifyEventReceived (this=0x808be50)
    at /tmp/buildd/kde4libs-4.1.0/kio/kio/kdirwatch.cpp:288
#8  0xb7befccb in KDirWatchPrivate::qt_metacall (this=0x808be50, 
    _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0xbf941a4c)
    at /tmp/buildd/kde4libs-4.1.0/obj-i486-linux-gnu/kio/kdirwatch_p.moc:74
#9  0xb742b0c0 in QMetaObject::activate (sender=0x81012d0, 
    from_signal_index=4, to_signal_index=4, argv=0xbf941a4c)
    at kernel/qobject.cpp:3010
#10 0xb742be42 in QMetaObject::activate (sender=0x81012d0, m=0xb74f8a90, 
    local_signal_index=0, argv=0xbf941a4c) at kernel/qobject.cpp:3080
#11 0xb7465dc3 in QSocketNotifier::activated (this=0x81012d0, _t1=9)
    at .moc/release-shared/moc_qsocketnotifier.cpp:81
#12 0xb7430d17 in QSocketNotifier::event (this=0x81012d0, e=0xbf941e10)
    at kernel/qsocketnotifier.cpp:326
#13 0xb6a2966c in QApplicationPrivate::notify_helper (this=0x8058580, 
    receiver=0x81012d0, e=0xbf941e10) at kernel/qapplication.cpp:3772
#14 0xb6a3143e in QApplication::notify (this=0xbf942144, receiver=0x81012d0, 
    e=0xbf941e10) at kernel/qapplication.cpp:3366
#15 0xb794e68d in KApplication::notify (this=0xbf942144, receiver=0x81012d0, 
    event=0xbf941e10)
    at /tmp/buildd/kde4libs-4.1.0/kdeui/kernel/kapplication.cpp:311
#16 0xb7416571 in QCoreApplication::notifyInternal (this=0xbf942144, 
    receiver=0x81012d0, event=0xbf941e10) at kernel/qcoreapplication.cpp:587
#17 0xb7440e0a in socketNotifierSourceDispatch (source=0x8062fc8)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#18 0xb64642f1 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#19 0xb6467983 in ?? () from /usr/lib/libglib-2.0.so.0
#20 0x0805a690 in ?? ()
#21 0x00000000 in ?? ()
#0  0xb7efa410 in __kernel_vsyscall ()

It seems to be the same backtrace as the initial report.

PS: please don't reply with html messages, it is very confusing.
Comment 7 Frederik Himpe 2008-08-15 22:07:06 UTC
I was experiencing a crash which is probably the same or similar as the one here. I was removing an RPM on my Mandriva Cooker system (kde 4.1.0, qt 4.4.1).

 This is the similar, but not identical backtrace. Would it be the same problem:
Application: KDE Daemon (kded4), signal SIGSEGV
[Thread debugging using libthread_db enabled]
[New Thread 0x7fe45258c700 (LWP 16445)]
[KCrash handler]
#5  KDirWatchPrivate::useINotify (this=0x23396b0, e=0x23b3dc8)
    at /usr/lib/qt4/include/QtCore/qatomic_x86_64.h:123
#6  0x00007fe451aa3607 in KDirWatchPrivate::inotifyEventReceived (
    this=0x23396b0) at /usr/src/debug/kdelibs-4.1.0/kio/kio/kdirwatch.cpp:301
#7  0x00007fe451aa3bb8 in KDirWatchPrivate::qt_metacall (this=0x23396b0, 
    _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, 
    _a=0x7fff5a5c2c80)
    at /usr/src/debug/kdelibs-4.1.0/build/kio/kdirwatch_p.moc:74
#8  0x00007fe450c6f724 in QMetaObject::activate (sender=0x2339b30, 
    from_signal_index=<value optimized out>, to_signal_index=4, argv=0x0)
    at kernel/qobject.cpp:3016
#9  0x00007fe450ca620e in QSocketNotifier::activated (this=0x7fe452195a00, 
    _t1=10) at .moc/release-shared/moc_qsocketnotifier.cpp:81
#10 0x00007fe450c752b3 in QSocketNotifier::event (this=0x2339b30, 
    e=0x7fff5a5c3240) at kernel/qsocketnotifier.cpp:326
#11 0x00007fe44fbcd44d in QApplicationPrivate::notify_helper (this=0x21cd1c0, 
    receiver=0x2339b30, e=0x7fff5a5c3240) at kernel/qapplication.cpp:3800
#12 0x00007fe44fbd520a in QApplication::notify (this=0x7fff5a5c3570, 
    receiver=0x2339b30, e=0x7fff5a5c3240) at kernel/qapplication.cpp:3765
#13 0x00007fe4515a180b in KApplication::notify (this=0x7fff5a5c3570, 
    receiver=0x2339b30, event=0x7fff5a5c3240)
    at /usr/src/debug/kdelibs-4.1.0/kdeui/kernel/kapplication.cpp:311
#14 0x00007fe450c5b2df in QCoreApplication::notifyInternal (
    this=0x7fff5a5c3570, receiver=0x2339b30, event=0x7fff5a5c3240)
    at kernel/qcoreapplication.cpp:591
#15 0x00007fe450c839f9 in socketNotifierSourceDispatch (source=0x21d0900)
    at kernel/qcoreapplication.h:215
#16 0x00007fe44c5e49d2 in IA__g_main_context_dispatch (context=0x21cfd50)
    at gmain.c:2072
#17 0x00007fe44c5e816d in g_main_context_iterate (context=0x21cfd50, block=1, 
    dispatch=1, self=<value optimized out>) at gmain.c:2705
#18 0x00007fe44c5e832b in IA__g_main_context_iteration (context=0x21cfd50, 
    may_block=1) at gmain.c:2768
#19 0x00007fe450c8377f in QEventDispatcherGlib::processEvents (
    this=0x21cd160, flags=<value optimized out>)
    at kernel/qeventdispatcher_glib.cpp:325
#20 0x00007fe44fc5df8f in QGuiEventDispatcherGlib::processEvents (
    this=0x7fe452195a00, flags=<value optimized out>)
    at kernel/qguieventdispatcher_glib.cpp:204
#21 0x00007fe450c59bf2 in QEventLoop::processEvents (
    this=<value optimized out>, flags={i = 1515992160})
    at kernel/qeventloop.cpp:149
#22 0x00007fe450c59d7d in QEventLoop::exec (this=0x7fff5a5c34a0, flags=
      {i = 1515992240}) at kernel/qeventloop.cpp:200
#23 0x00007fe450c5c24d in QCoreApplication::exec ()
    at kernel/qcoreapplication.cpp:849
#24 0x00007fe4521a5a12 in kdemain (argc=1, argv=0x7fff5a5c3a78)
    at /usr/src/debug/kdelibs-4.1.0/kded/kded.cpp:847
#25 0x00007fe451e57316 in __libc_start_main () from /lib64/libc.so.6
#26 0x00000000004005c9 in _start ()
Comment 8 Oliver Putz 2008-09-02 11:58:04 UTC
I think I also stumbled upon this crash. I was upgrading my gentoo in the background and when I came back to the computer, kded4 (KDE-4.1.0) had crashed with the backtrace below.

Application: KDE Daemon (kded4), signal SIGSEGV
[Thread debugging using libthread_db enabled]
[New Thread 0xb636b700 (LWP 2168)]
[KCrash handler]
#6  0xb7561a29 in QString::operator== (this=0x81ba800, other=@0xbf98da48)
    at ../../include/QtCore/../../src/corelib/tools/qstring.h:106
#7  0xb7e2fb31 in KDirWatchPrivate::inotifyEventReceived (this=0x8102188)
    at /var/tmp/portage/kde-base/kdelibs-4.1.0/work/kdelibs-4.1.0/kio/kio/kdirwatch.cpp:288
#8  0xb7e3030d in KDirWatchPrivate::qt_metacall (this=0x8102188, 
    _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0xbf98db6c)
    at /var/tmp/portage/kde-base/kdelibs-4.1.0/work/kdelibs_build/kio/kdirwatch_p.moc:74
#9  0xb7624530 in QMetaObject::activate (sender=0x80ffcd0, 
    from_signal_index=<value optimized out>, to_signal_index=4, 
    argv=<value optimized out>) at kernel/qobject.cpp:3001
#10 0xb7624c92 in QMetaObject::activate (sender=0x80ffcd0, m=0xb76fa8d0, 
    local_signal_index=0, argv=0xbf98db6c) at kernel/qobject.cpp:3071
#11 0xb7663d49 in QSocketNotifier::activated (this=0x80ffcd0, _t1=9)
    at .moc/debug-shared/moc_qsocketnotifier.cpp:81
#12 0xb762c7fb in QSocketNotifier::event (this=0x80ffcd0, e=0xbf98dfb0)
    at kernel/qsocketnotifier.cpp:326
#13 0xb699d8a4 in QApplicationPrivate::notify_helper (this=0x805d660, 
    receiver=0x80ffcd0, e=0xbf98dfb0) at kernel/qapplication.cpp:3772
#14 0xb69a1a75 in QApplication::notify (this=0xbf98e41c, receiver=0x80ffcd0, 
    e=0xbf98dfb0) at kernel/qapplication.cpp:3366
#15 0xb7bdf6c3 in KApplication::notify (this=0xbf98e41c, receiver=0x80ffcd0, 
    event=0xbf98dfb0)
    at /var/tmp/portage/kde-base/kdelibs-4.1.0/work/kdelibs-4.1.0/kdeui/kernel/kapplication.cpp:311
#16 0xb760ed59 in QCoreApplication::notifyInternal (this=0xbf98e41c, 
    receiver=0x80ffcd0, event=0xbf98dfb0) at kernel/qcoreapplication.cpp:587
#17 0xb763d833 in QEventDispatcherUNIX::activateSocketNotifiers (
    this=0x805bcf0) at kernel/qcoreapplication.h:215
#18 0xb763dda3 in QEventDispatcherUNIXPrivate::doSelect (this=0x805d730, 
    flags=@0xbf98e128, timeout=0xbf98e120)
    at kernel/qeventdispatcher_unix.cpp:252
#19 0xb763df43 in QEventDispatcherUNIX::processEvents (this=0x805bcf0, 
    flags=@0xbf98e238) at kernel/qeventdispatcher_unix.cpp:895
#20 0xb6a2df61 in QEventDispatcherX11::processEvents (this=0x805bcf0, 
    flags=@0xbf98e268) at kernel/qeventdispatcher_x11.cpp:154
#21 0xb760e0d3 in QEventLoop::processEvents (this=0xbf98e2e0, 
    flags=@0xbf98e2a8) at kernel/qeventloop.cpp:149
#22 0xb760e246 in QEventLoop::exec (this=0xbf98e2e0, flags=@0xbf98e2e8)
    at kernel/qeventloop.cpp:200
#23 0xb7610401 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:845
#24 0xb699d23f in QApplication::exec () at kernel/qapplication.cpp:3304
#25 0xb7f69f3f in kdemain (argc=1, argv=0xbf98e5a4)
    at /var/tmp/portage/kde-base/kdelibs-4.1.0/work/kdelibs-4.1.0/kded/kded.cpp:847
#26 0x08048822 in main (argc=1, argv=0x36)
    at /var/tmp/portage/kde-base/kdelibs-4.1.0/work/kdelibs_build/kded/kded4_dummy.cpp:3
#0  0xffffe424 in __kernel_vsyscall ()
Comment 9 Oliver Putz 2008-09-02 12:00:34 UTC
*** Bug 166959 has been marked as a duplicate of this bug. ***
Comment 10 Jaroslav Franek 2008-09-10 20:38:22 UTC
Similar for me. Running yum update on Fedora 9 with KDE 4.1.0 I got suddenly

Application: KDE Daemon (kded4), signal SIGSEGV
[Thread debugging using libthread_db enabled]
[New Thread 0xb7faf770 (LWP 3264)]
[New Thread 0xb63bcb90 (LWP 4568)]
[KCrash handler]
#6  0x00916fd6 in memcpy () from /lib/libc.so.6
#7  0xbfcdb5ac in ?? ()
#8  0x04230ee3 in QListData::detach2 (this=<value optimized out>)
    at /usr/include/bits/string3.h:52
#9  0x0546911d in QList<KDirWatchPrivate::Entry*>::detach_helper (
    this=<value optimized out>) at /usr/include/QtCore/qlist.h:522
#10 0x05466b40 in KDirWatchPrivate::useINotify (this=<value optimized out>, 
    e=<value optimized out>) at /usr/include/QtCore/qlist.h:113
#11 0x0546751b in KDirWatchPrivate::inotifyEventReceived (
    this=<value optimized out>)
    at /usr/src/debug/kdelibs-4.1.0/kio/kio/kdirwatch.cpp:301
#12 0x05468f3b in KDirWatchPrivate::qt_metacall (this=<value optimized out>, 
    _c=<value optimized out>, _id=<value optimized out>, 
    _a=<value optimized out>)
    at /usr/src/debug/kdelibs-4.1.0/i386-redhat-linux-gnu/kio/kdirwatch_p.moc:74
#13 0x043123e0 in QMetaObject::activate (sender=<value optimized out>, 
    from_signal_index=<value optimized out>, 
    to_signal_index=<value optimized out>, argv=<value optimized out>)
    at kernel/qobject.cpp:3016
#14 0x04313162 in QMetaObject::activate (sender=<value optimized out>, 
    m=<value optimized out>, local_signal_index=<value optimized out>, argv=)
    at kernel/qobject.cpp:3086
#15 0x0434d153 in QSocketNotifier::activated (this=)
    at .moc/release-shared/moc_qsocketnotifier.cpp:81
#16 0x04318037 in QSocketNotifier::event (this=<value optimized out>, 
    e=<value optimized out>) at kernel/qsocketnotifier.cpp:326
#17 0x0482330c in QApplicationPrivate::notify_helper (
    this=<value optimized out>, receiver=<value optimized out>, 
    e=<value optimized out>) at kernel/qapplication.cpp:3800
#18 0x0482b16e in QApplication::notify (this=<value optimized out>, 
    receiver=<value optimized out>, e=<value optimized out>)
    at kernel/qapplication.cpp:3392
#19 0x051a8ddd in KApplication::notify (this=<value optimized out>, 
    receiver=<value optimized out>, event=<value optimized out>)
    at /usr/src/debug/kdelibs-4.1.0/kdeui/kernel/kapplication.cpp:311
#20 0x042fd731 in QCoreApplication::notifyInternal (
    this=<value optimized out>, receiver=<value optimized out>, 
    event=<value optimized out>) at kernel/qcoreapplication.cpp:591
#21 0x0432813a in socketNotifierSourceDispatch (source=<value optimized out>)
    at ../../src/corelib/kernel/qcoreapplication.h:215
#22 0x00ac30d8 in IA__g_main_context_dispatch (context=<value optimized out>)
    at gmain.c:2012
#23 0x00ac6783 in g_main_context_iterate (context=<value optimized out>, 
    block=<value optimized out>, dispatch=<value optimized out>, self=)
    at gmain.c:2645
#24 0x00ac6941 in IA__g_main_context_iteration (
    context=<value optimized out>, may_block=<value optimized out>)
    at gmain.c:2708
#25 0x04327ea8 in QEventDispatcherGlib::processEvents (
    this=<value optimized out>, flags=<value optimized out>)
    at kernel/qeventdispatcher_glib.cpp:325
#26 0x048bbd95 in QGuiEventDispatcherGlib::processEvents (this=)
    at kernel/qguieventdispatcher_glib.cpp:204
#27 0x042fbe1a in QEventLoop::processEvents (this=<value optimized out>, 
    flags=<value optimized out>) at kernel/qeventloop.cpp:149
#28 0x042fbfda in QEventLoop::exec (this=<value optimized out>, 
    flags=<value optimized out>) at kernel/qeventloop.cpp:200
#29 0x042fe685 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:849
#30 0x04823187 in QApplication::exec () at kernel/qapplication.cpp:3330
#31 0x005ee366 in kdemain (argc=<value optimized out>, 
    argv=<value optimized out>)
    at /usr/src/debug/kdelibs-4.1.0/kded/kded.cpp:847
#32 0x08048752 in main (argc=1342738410, argv=0x50088fea)
    at /usr/src/debug/kdelibs-4.1.0/i386-redhat-linux-gnu/kded/kded4_dummy.cpp:3
Comment 11 David Faure 2008-09-13 01:00:30 UTC
Let's reassign to someone who knows the KDirWatch code, at least.
Comment 12 auxsvr 2008-10-06 18:34:14 UTC
kded crash here, after some package updates:

Application: KDE Daemon (kded4), signal SIGSEGV
[?1034h[Thread debugging using libthread_db enabled]
[New Thread 0xb615b700 (LWP 4956)]
[KCrash handler]
#6  0xb7479fe4 in QString::operator== (this=0x81fc6d0, other=@0xbf82340c)
    at ../../include/QtCore/../../src/corelib/tools/qstring.h:100
#7  0xb7d7ac15 in KDirWatchPrivate::inotifyEventReceived (this=0x80c1bc0)
    at /usr/src/debug/kdelibs-4.1.2/kio/kio/kdirwatch.cpp:288
#8  0xb7d7c70b in KDirWatchPrivate::qt_metacall (this=0x80c1bc0, 
    _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0xbf82454c)
    at /usr/src/debug/kdelibs-4.1.2/build/kio/kdirwatch_p.moc:74
#9  0xb753d730 in QMetaObject::activate (sender=0x80c2078, 
    from_signal_index=4, to_signal_index=4, argv=0xbf82454c)
    at kernel/qobject.cpp:3031
#10 0xb753e4b2 in QMetaObject::activate (sender=0x80c2078, m=0xb760c8b0, 
    local_signal_index=0, argv=0xbf82454c) at kernel/qobject.cpp:3101
#11 0xb7578a43 in QSocketNotifier::activated (this=0x80c2078, _t1=9)
    at .moc/release-shared/moc_qsocketnotifier.cpp:81
#12 0xb75433f7 in QSocketNotifier::event (this=0x80c2078, e=0xbf824910)
    at kernel/qsocketnotifier.cpp:320
#13 0xb68ab82c in QApplicationPrivate::notify_helper (this=0x8060948, 
    receiver=0x80c2078, e=0xbf824910) at kernel/qapplication.cpp:3803
#14 0xb68b36ce in QApplication::notify (this=0xbf824be0, receiver=0x80c2078, 
    e=0xbf824910) at kernel/qapplication.cpp:3393
#15 0xb7b0de0d in KApplication::notify (this=0xbf824be0, receiver=0x80c2078, 
    event=0xbf824910)
    at /usr/src/debug/kdelibs-4.1.2/kdeui/kernel/kapplication.cpp:311
#16 0xb7528a61 in QCoreApplication::notifyInternal (this=0xbf824be0, 
    receiver=0x80c2078, event=0xbf824910) at kernel/qcoreapplication.cpp:587
#17 0xb755348a in socketNotifierSourceDispatch (source=0x80680b8)
    at kernel/qcoreapplication.h:209
#18 0xb63942d9 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#19 0xb639785b in ?? () from /usr/lib/libglib-2.0.so.0
#20 0xb63979d8 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#21 0xb75531f8 in QEventDispatcherGlib::processEvents (this=0x805dcb0, flags=
      {i = -1081980312}) at kernel/qeventdispatcher_glib.cpp:319
#22 0xb6944885 in QGuiEventDispatcherGlib::processEvents (this=0x805dcb0, 
    flags={i = -1081980264}) at kernel/qguieventdispatcher_glib.cpp:198
#23 0xb752713a in QEventLoop::processEvents (this=0xbf824b10, flags=
      {i = -1081980200}) at kernel/qeventloop.cpp:143
#24 0xb75272fa in QEventLoop::exec (this=0xbf824b10, flags={i = -1081980136})
    at kernel/qeventloop.cpp:194
#25 0xb7529995 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:845
#26 0xb68ab6a7 in QApplication::exec () at kernel/qapplication.cpp:3331
#27 0xb7ec6956 in kdemain (argc=1, argv=0xbf824e74)
    at /usr/src/debug/kdelibs-4.1.2/kded/kded.cpp:847
#28 0x08048782 in main (argc=135901864, argv=0x0)
    at /usr/src/debug/kdelibs-4.1.2/build/kded/kded4_dummy.cpp:3
#0  0xffffe430 in __kernel_vsyscall ()
Comment 13 David Faure 2008-10-16 19:50:53 UTC
*** Bug 172918 has been marked as a duplicate of this bug. ***
Comment 14 David Faure 2008-10-20 13:58:54 UTC
*** Bug 170629 has been marked as a duplicate of this bug. ***
Comment 15 David Faure 2008-10-20 14:00:12 UTC
*** Bug 168275 has been marked as a duplicate of this bug. ***
Comment 16 Dario Panico 2008-10-24 13:05:17 UTC
I experienced the kded4 crash during a dist-upgrade to kubuntu intrepid (8.10)

No backtrace because it wasn't provided, only a dialog saying that it crashed.

I'm still writing from that kde4 session (everything is like destroying but i was able to give a $kded4 from kate terminal)
Comment 17 David Faure 2008-10-27 10:11:50 UTC
*** Bug 173524 has been marked as a duplicate of this bug. ***
Comment 18 Oliver Putz 2008-10-29 12:24:53 UTC
*** Bug 173788 has been marked as a duplicate of this bug. ***
Comment 19 Rodney Baker 2008-10-29 14:28:29 UTC
Backtrace/details copied from bug 173788 (marked as duplicate)...

Version: (using KDE 4.1.2) OS: Linux Installed from: SuSE RPMs When running an online update via openSUSEupdater-kde, during the update the KDE Crash Handler reports, "The application KDE Daemon (kded4) crashed and caused the signal 11 (SIGSEGV)." Backtrace is as follows: 

Application: KDE Daemon (kded4), signal SIGSEGV 
[?1034hUsing host libthread_db library "/lib/libthread_db.so.1". 
[Thread debugging using libthread_db enabled] 
[New Thread 0xb60b86d0 (LWP 3946)] 
[KCrash handler] 
#6 0xb73eaa87 in QString::operator== () from /usr/lib/libQtCore.so.4 
#7 0xb7d73064 in KDirWatchPrivate::inotifyEventReceived () from /usr/lib/libkio.so.5 
#8 0xb7d7387a in KDirWatchPrivate::qt_metacall () from /usr/lib/libkio.so.5 
#9 0xb74abc19 in QMetaObject::activate () from /usr/lib/libQtCore.so.4 
#10 0xb74ac2e2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4 
#11 0xb74e9b63 in QSocketNotifier::activated () from /usr/lib/libQtCore.so.4 #12 0xb74b236f in QSocketNotifier::event () from /usr/lib/libQtCore.so.4 
#13 0xb6af41cc in QApplicationPrivate::notify_helper () from /usr/lib/libQtGui.so.4 
#14 0xb6af8c79 in QApplication::notify () from /usr/lib/libQtGui.so.4 
#15 0xb78fe2bd in KApplication::notify () from /usr/lib/libkdeui.so.5 
#16 0xb7496cb9 in QCoreApplication::notifyInternal () from /usr/lib/libQtCore.so.4 
#17 0xb74c2593 in ?? () from /usr/lib/libQtCore.so.4 
#18 0xb62c85d6 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0 
#19 0xb62cb972 in ?? () from /usr/lib/libglib-2.0.so.0 
#20 0x08062c90 in ?? () 
#21 0x00000000 in ?? () 
#0 0xffffe410 in __kernel_vsyscall () 

Amarok 1.4.10 (KDE 3.5.7 "Release 72.9" running in background... 
FreeCell Solitaire 2.20.0.1 (Gnome) running on desktop (but it happens with or without this...). 
Running KDE 4.1.2 on openSUSE 10.3. 
Comment 20 suxiaoge 2008-11-02 16:43:35 UTC
The same thing happened to me:

Application: KDE Daemon (kded4), signal SIGSEGV
[Thread debugging using libthread_db enabled]
[New Thread 0x7f4a878aa6f0 (LWP 5615)]
[KCrash handler]
#5  0x00007f4a85e97c78 in QString::operator== () from /usr/lib/libQtCore.so.4
#6  0x00007f4a86da4aa3 in KDirWatchPrivate::inotifyEventReceived (
    this=0x1c3dfd0) at /build/buildd/kde4libs-4.1.2/kio/kio/kdirwatch.cpp:288
#7  0x00007f4a86da85b8 in KDirWatchPrivate::qt_metacall (this=0x1c3dfd0, 
    _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, 
    _a=0x7fff8f8dd4f0)
    at /build/buildd/kde4libs-4.1.2/obj-x86_64-linux-gnu/kio/kdirwatch_p.moc:74
#8  0x00007f4a85f56134 in QMetaObject::activate ()
   from /usr/lib/libQtCore.so.4
#9  0x00007f4a85f8c7de in QSocketNotifier::activated ()
   from /usr/lib/libQtCore.so.4
#10 0x00007f4a85f5bc43 in QSocketNotifier::event ()
   from /usr/lib/libQtCore.so.4
#11 0x00007f4a84eebc3d in QApplicationPrivate::notify_helper ()
   from /usr/lib/libQtGui.so.4
#12 0x00007f4a84ef39ea in QApplication::notify () from /usr/lib/libQtGui.so.4
#13 0x00007f4a8689db8b in KApplication::notify (this=0x7fff8f8dddf0, 
    receiver=0x1c3ded0, event=0x7fff8f8ddac0)
    at /build/buildd/kde4libs-4.1.2/kdeui/kernel/kapplication.cpp:311
#14 0x00007f4a85f41d61 in QCoreApplication::notifyInternal ()
   from /usr/lib/libQtCore.so.4
#15 0x00007f4a85f6a3d9 in ?? () from /usr/lib/libQtCore.so.4
#16 0x00007f4a81fded3b in g_main_context_dispatch ()
   from /usr/lib/libglib-2.0.so.0
#17 0x00007f4a81fe250d in ?? () from /usr/lib/libglib-2.0.so.0
#18 0x00007f4a81fe26cb in g_main_context_iteration ()
   from /usr/lib/libglib-2.0.so.0
#19 0x00007f4a85f6a15f in QEventDispatcherGlib::processEvents ()
   from /usr/lib/libQtCore.so.4
#20 0x00007f4a84f7da9f in ?? () from /usr/lib/libQtGui.so.4
#21 0x00007f4a85f40682 in QEventLoop::processEvents ()
   from /usr/lib/libQtCore.so.4
#22 0x00007f4a85f4080d in QEventLoop::exec () from /usr/lib/libQtCore.so.4
#23 0x00007f4a85f42cbd in QCoreApplication::exec ()
   from /usr/lib/libQtCore.so.4
#24 0x00007f4a874b8fd2 in kdemain (argc=1, argv=0x7fff8f8de2f8)
    at /build/buildd/kde4libs-4.1.2/kded/kded.cpp:847
#25 0x00007f4a87159466 in __libc_start_main () from /lib/libc.so.6
#26 0x0000000000400659 in _start ()
#0  0x00007f4a871e35f0 in __nanosleep_nocancel () from /lib/libc.so.6
Comment 21 Piotr Mitas 2008-11-07 17:12:25 UTC
The same happened to me, when I was installing (not updating) the following packages in Gentoo (i don't know which exactly, because I wasn't at the computer):

Fri Nov  7 10:17:45 2008 >>> dev-libs/icu-3.8.1-r1
     Fri Nov  7 10:18:07 2008 >>> gnome-base/gnome-common-2.24.0
     Fri Nov  7 10:19:50 2008 >>> media-libs/vigra-1.6.0
     Fri Nov  7 10:20:08 2008 >>> dev-perl/XML-NamespaceSupport-1.09
     Fri Nov  7 10:20:31 2008 >>> perl-core/Storable-2.18
     Fri Nov  7 10:20:48 2008 >>> perl-core/Test-Simple-0.84
     Fri Nov  7 10:21:09 2008 >>> dev-perl/XML-LibXML-Common-0.13
     Fri Nov  7 10:21:29 2008 >>> dev-perl/XML-SAX-0.96
     Fri Nov  7 10:21:43 2008 >>> virtual/perl-Storable-2.18
     Fri Nov  7 10:21:56 2008 >>> virtual/perl-Test-Simple-0.84
     Fri Nov  7 10:22:29 2008 >>> dev-perl/XML-LibXML-1.66-r1
     Fri Nov  7 10:22:46 2008 >>> dev-perl/XML-Simple-2.18
     Fri Nov  7 10:23:02 2008 >>> x11-misc/icon-naming-utils-0.8.7
     Fri Nov  7 10:25:29 2008 >>> x11-themes/gnome-icon-theme-2.24.0
     Fri Nov  7 10:25:56 2008 >>> gnome-base/gnome-mime-data-2.18.0
     Fri Nov  7 10:26:16 2008 >>> perl-core/File-Spec-3.29
     Fri Nov  7 10:26:30 2008 >>> virtual/perl-File-Spec-3.29
     Fri Nov  7 10:26:47 2008 >>> dev-perl/Archive-Zip-1.26
     Fri Nov  7 10:28:43 2008 >>> net-libs/libsoup-2.24.1
     Fri Nov  7 10:31:55 2008 >>> gnome-base/libbonobo-2.24.0
     Fri Nov  7 10:33:55 2008 >>> gnome-base/gnome-keyring-2.22.3-r1
     Fri Nov  7 10:38:56 2008 >>> gnome-base/gnome-vfs-2.24.0
     Fri Nov  7 10:40:08 2008 >>> gnome-base/libgnome-2.24.1
     Fri Nov  7 10:44:48 2008 >>> gnome-base/libbonoboui-2.24.0
     Fri Nov  7 10:49:08 2008 >>> gnome-base/libgnomeui-2.24.0
     Fri Nov  7 10:49:56 2008 >>> gnome-base/gnome-mount-0.6
     Fri Nov  7 11:00:22 2008 >>> gnome-extra/evolution-data-server-2.22.3-r1


The backtrace:

Program: KDE Daemon (kded4), sygnał SIGSEGV
[Thread debugging using libthread_db enabled]
[New Thread 0xb660d700 (LWP 1909)]
[KCrash handler]
#6  0xb7535837 in QString::operator== (this=0x9e9f578, other=@0xbfaef46c)
    at ../../include/QtCore/../../src/corelib/tools/qstring.h:106
#7  0xb7f7a265 in KDirWatchPrivate::inotifyEventReceived (this=0x9e5c068)
    at /var/tmp/portage/kde-base/kdelibs-4.1.2-r1/work/kdelibs-4.1.2/kio/kio/kdirwatch.cpp:288
#8  0xb7f7bcdb in KDirWatchPrivate::qt_metacall (this=0x9e5c068, 
    _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0xbfaef59c)
    at /var/tmp/portage/kde-base/kdelibs-4.1.2-r1/work/kdelibs_build/kio/kdirwatch_p.moc:74
#9  0xb75f8401 in QMetaObject::activate (sender=0x9e5dbd8, 
    from_signal_index=<value optimized out>, to_signal_index=4, 
    argv=0xbfaef59c) at kernel/qobject.cpp:3028
#10 0xb75f9142 in QMetaObject::activate (sender=0x9e5dbd8, m=0xb76c4970, 
    local_signal_index=0, argv=0xbfaef59c) at kernel/qobject.cpp:3098
#11 0xb7631803 in QSocketNotifier::activated (this=0x9e5dbd8, _t1=10)
    at .moc/release-shared/moc_qsocketnotifier.cpp:81
#12 0xb75fde27 in QSocketNotifier::event (this=0x9e5dbd8, e=0xbfaef950)
    at kernel/qsocketnotifier.cpp:326
#13 0xb6c3ae14 in QApplicationPrivate::notify_helper (this=0x9dfcea0, 
    receiver=0x9e5dbd8, e=0xbfaef950) at kernel/qapplication.cpp:3809
#14 0xb6c42bfe in QApplication::notify (this=0xbfaefed8, receiver=0x9e5dbd8, 
    e=0xbfaef950) at kernel/qapplication.cpp:3399
#15 0xb7d027cd in KApplication::notify (this=0xbfaefed8, receiver=0x9e5dbd8, 
    event=0xbfaef950)
    at /var/tmp/portage/kde-base/kdelibs-4.1.2-r1/work/kdelibs-4.1.2/kdeui/kernel/kapplication.cpp:311
#16 0xb75e3906 in QCoreApplication::notifyInternal (this=0xbfaefed8, 
    receiver=0x9e5dbd8, event=0xbfaef950) at kernel/qcoreapplication.cpp:593
#17 0xb760e92b in QEventDispatcherUNIX::activateSocketNotifiers (
    this=0x9dfb608) at kernel/qcoreapplication.h:215
#18 0xb760ec09 in QEventDispatcherUNIXPrivate::doSelect (this=0x9dfeac8, 
    flags={i = -1079051592}, timeout=0xbfaefab0)
    at kernel/qeventdispatcher_unix.cpp:252
#19 0xb76102b0 in QEventDispatcherUNIX::processEvents (this=0x9dfb608, flags=
      {i = -1079051060}) at kernel/qeventdispatcher_unix.cpp:895
#20 0xb6ccf3e6 in QEventDispatcherX11::processEvents (this=0x9dfb608, flags=
      {i = -1079051000}) at kernel/qeventdispatcher_x11.cpp:154
#21 0xb75e200a in QEventLoop::processEvents (this=0xbfaefd80, flags=
      {i = -1079050936}) at kernel/qeventloop.cpp:149
#22 0xb75e21c2 in QEventLoop::exec (this=0xbfaefd80, flags={i = -1079050872})
    at kernel/qeventloop.cpp:200
#23 0xb75e4745 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:851
#24 0xb6c3ac87 in QApplication::exec () at kernel/qapplication.cpp:3337
#25 0xb80cfb1b in kdemain (argc=1, argv=0xbfaf0114)
    at /var/tmp/portage/kde-base/kdelibs-4.1.2-r1/work/kdelibs-4.1.2/kded/kded.cpp:847
#26 0x08048862 in main (argc=167848328, argv=0x0)
    at /var/tmp/portage/kde-base/kdelibs-4.1.2-r1/work/kdelibs_build/kded/kded4_dummy.cpp:3
#0  0xffffe424 in __kernel_vsyscall ()
Comment 22 buster_dog 2008-11-08 04:52:53 UTC
Application: KDE Daemon (kded4), signal SIGSEGV
[Thread debugging using libthread_db enabled]
[New Thread 0xb61518d0 (LWP 8418)]
[KCrash handler]
#6  0xb47de922 in ?? () from /usr/lib/kde4/kded_randrmonitor.so
#7  0xb47dfa01 in ?? () from /usr/lib/kde4/kded_randrmonitor.so
#8  0xb47dfc38 in ?? () from /usr/lib/kde4/kded_randrmonitor.so
#9  0xb47e01cc in KPluginFactory::createInstance<RandrMonitorModule, QObject>
    () from /usr/lib/kde4/kded_randrmonitor.so
#10 0xb77e3be7 in KPluginFactory::create (this=0x8ce66f8, 
    iface=0xb7814840 "KDEDModule", parentWidget=0x0, parent=0x8bd96c8, 
    args=@0xbf8b05a0, keyword=@0xbf8b0594)
    at /build/buildd/kde4libs-4.1.3/kdecore/util/kpluginfactory.cpp:189
#11 0xb7f7001d in Kded::loadModule (this=0x8bd96c8, s=@0xbf8b06b0, 
    onDemand=false)
    at /build/buildd/kde4libs-4.1.3/kdecore/util/kpluginfactory.h:491
#12 0xb7f726fa in Kded::loadSecondPhase (this=0x8bd96c8)
    at /build/buildd/kde4libs-4.1.3/kded/kded.cpp:242
#13 0xb7f75ed8 in KdedAdaptor::qt_metacall (this=0x8bd9830, 
    _c=QMetaObject::InvokeMetaMethod, _id=6, _a=0xbf8b0898)
    at /build/buildd/kde4libs-4.1.3/kded/kdedadaptor.cpp:65
#14 0xb729e26e in ?? () from /usr/lib/libQtDBus.so.4
#15 0xb729f4a7 in ?? () from /usr/lib/libQtDBus.so.4
#16 0xb729f9b1 in ?? () from /usr/lib/libQtDBus.so.4
#17 0xb729feaa in ?? () from /usr/lib/libQtDBus.so.4
#18 0xb7530771 in QObject::event () from /usr/lib/libQtCore.so.4
#19 0xb6ab38ec in QApplicationPrivate::notify_helper ()
   from /usr/lib/libQtGui.so.4
#20 0xb6abb76e in QApplication::notify () from /usr/lib/libQtGui.so.4
#21 0xb79efb2d in KApplication::notify (this=0xbf8b1170, receiver=0x8bd96c8, 
    event=0x8c1f460)
    at /build/buildd/kde4libs-4.1.3/kdeui/kernel/kapplication.cpp:311
#22 0xb7520e61 in QCoreApplication::notifyInternal ()
   from /usr/lib/libQtCore.so.4
#23 0xb7521ae5 in QCoreApplicationPrivate::sendPostedEvents ()
   from /usr/lib/libQtCore.so.4
#24 0xb7521cdd in QCoreApplication::sendPostedEvents ()
   from /usr/lib/libQtCore.so.4
#25 0xb754b82f in ?? () from /usr/lib/libQtCore.so.4
#26 0xb64e26f8 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#27 0xb64e5da3 in ?? () from /usr/lib/libglib-2.0.so.0
#28 0xb64e5f61 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#29 0xb754b478 in QEventDispatcherGlib::processEvents ()
   from /usr/lib/libQtCore.so.4
#30 0xb6b4dee5 in ?? () from /usr/lib/libQtGui.so.4
#31 0xb751f52a in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
#32 0xb751f6ea in QEventLoop::exec () from /usr/lib/libQtCore.so.4
#33 0xb7521da5 in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
#34 0xb6ab3767 in QApplication::exec () from /usr/lib/libQtGui.so.4
#35 0xb7f740a6 in kdemain (argc=1, argv=0xbf8b1404)
    at /build/buildd/kde4libs-4.1.3/kded/kded.cpp:847
#36 0x080485a2 in main (argc=0, argv=0x8be5a60)
    at /build/buildd/kde4libs-4.1.3/obj-i486-linux-gnu/kded/kded4_dummy.cpp:3
#0  0xb7faf430 in __kernel_vsyscall ()
Comment 23 George Kiagiadakis 2008-11-08 10:38:48 UTC
@buster_dog: This backtrace in comment 22 is completely unrelated to this bug.

@all: I think there is no reason anymore in pasting new backtraces in here. The bug is already ASSIGNED, which means that someone is working on it, and all the backtraces are almost the same. So, if you find this bug annoying, please vote for it instead of pasting the same backtrace again and saying "hey I've got this bug too...". Thanks.
Comment 24 David Faure 2008-11-10 14:16:29 UTC
*** Bug 173965 has been marked as a duplicate of this bug. ***
Comment 25 Frank Reininghaus 2008-11-12 19:55:54 UTC
*** Bug 174500 has been marked as a duplicate of this bug. ***
Comment 26 Frank Reininghaus 2008-11-12 20:02:14 UTC
*** Bug 168024 has been marked as a duplicate of this bug. ***
Comment 27 john3909 2008-11-12 20:47:22 UTC
*** Bug 174963 has been marked as a duplicate of this bug. ***
Comment 28 Flavio Castelli 2008-11-13 13:08:38 UTC
Is there a way to reproduce this bug? I've tried different time to get a crash without success.

I have some ideas for fixing it, but the possibility to reproduce the bug would help me a lot.
Comment 29 Rodney Baker 2008-11-13 21:48:00 UTC
I don't personally know of a way to reproduce it reliably, save to say that it occurs regularly but seemingly randomly (although I'm sure it's not random) when updating packages through opensuseupdater-kde. A previous post mentioned that it was possibly when updating kde packages. This could be right as I have been installing updates pretty regularly on this machine...

If I get a chance I'll see if I can narrow it down to a specific package (that will mean updating packages one-by-one, which may not be practical due to dependencies, but I'll see what I can find out).
Comment 30 Flavio Castelli 2008-11-13 22:16:19 UTC
@Rodney
I'm using opensuse too and I have never experimented this crash but in fact I'm  running yast daily (so I don't update packages using updater).

btw: I'm using kde4-opensuse-updater-0.7.17-6.2
Comment 31 Rodney Baker 2008-11-13 22:49:26 UTC
(In reply to comment #30)
> @Rodney
> I'm using opensuse too and I have never experimented this crash but in fact I'm
>  running yast daily (so I don't update packages using updater).
> 
> btw: I'm using kde4-opensuse-updater-0.7.17-6.2
> 

Flavio,
I'm running 4.1.3 on 10.3 and using opensuse-updater-kde-0.6-32 - is this still the kde 3.5 package? I did a zypper se kde4-opensuse-updater and came back with "No resolvables found". Which repository is this one in? I'll try updating and see if the problem still persists.
Comment 32 Flavio Castelli 2008-11-13 22:59:33 UTC
Rodney,
I'm using 11.0, with kde4 from KDE:KDE4:Factory:Desktop repo
Comment 33 Rodney Baker 2008-11-13 23:11:20 UTC
(In reply to comment #32)
> Rodney,
> I'm using 11.0, with kde4 from KDE:KDE4:Factory:Desktop repo
> 

OK. Unfortunately there's no kde4-opensuse-updater package in the 10.3 KDE4 repos (I have both openSUSE_10.3 KDE4 and the KDE4 Factory Desktop repositories enabled). I'm guessing that it must depend on the 11.0 version of zypper (which has not been backported to 10.3).
Comment 34 gmud 2008-11-19 10:59:02 UTC
Today I've had this error, too. Here is the bt (Ubuntu):

Anwendung: KDE-Dienst (kded4), Signal SIGSEGV
[Thread debugging using libthread_db enabled]
[New Thread 0xb61ea6c0 (LWP 6610)]
[KCrash handler]
#6  0xb74ef3d7 in QString::operator== (this=0x81948d0, other=@0xbfe3a668)
    at ../../include/QtCore/../../src/corelib/tools/qstring.h:106
#7  0xb7c79348 in KDirWatchPrivate::inotifyEventReceived (this=0x80ee320)
    at /build/buildd/kde4libs-4.1.2/kio/kio/kdirwatch.cpp:288
#8  0xb7c79b9a in KDirWatchPrivate::qt_metacall (this=0x80ee320, 
    _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0xbfe3b7ac)
    at /build/buildd/kde4libs-4.1.2/obj-i486-linux-gnu/kio/kdirwatch_p.moc:74
#9  0xb75aef79 in QMetaObject::activate (sender=0x80ef610, 
    from_signal_index=4, to_signal_index=4, argv=0xbfe3b7ac)
    at kernel/qobject.cpp:3016
#10 0xb75af642 in QMetaObject::activate (sender=0x80ef610, m=0xb768ea90, 
    local_signal_index=0, argv=0xbfe3b7ac) at kernel/qobject.cpp:3086
#11 0xb75ec6b3 in QSocketNotifier::activated (this=0x80ef610, _t1=9)
    at .moc/release-shared/moc_qsocketnotifier.cpp:81
#12 0xb75b560f in QSocketNotifier::event (this=0x80ef610, e=0xbfe3bbe0)
    at kernel/qsocketnotifier.cpp:326
#13 0xb6b08f9c in QApplicationPrivate::notify_helper (this=0x80640a8, 
    receiver=0x80ef610, e=0xbfe3bbe0) at kernel/qapplication.cpp:3800
#14 0xb6b0dbf9 in QApplication::notify (this=0xbfe3be98, receiver=0x80ef610, 
    e=0xbfe3bbe0) at kernel/qapplication.cpp:3392
#15 0xb7a17483 in KApplication::notify (this=0xbfe3be98, receiver=0x80ef610, 
    event=0xbfe3bbe0)
    at /build/buildd/kde4libs-4.1.2/kdeui/kernel/kapplication.cpp:311
#16 0xb759a0b9 in QCoreApplication::notifyInternal (this=0xbfe3be98, 
    receiver=0x80ef610, event=0xbfe3bbe0) at kernel/qcoreapplication.cpp:591
#17 0xb75c5883 in socketNotifierSourceDispatch (source=0x8066fd8)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#18 0xb6540cc6 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#19 0xb6544083 in ?? () from /usr/lib/libglib-2.0.so.0
#20 0xb654463e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#21 0xb75c59f8 in QEventDispatcherGlib::processEvents (this=0x80641f8, 
    flags=@0xbfe3bd28) at kernel/qeventdispatcher_glib.cpp:325
#22 0xb6b9ca25 in QGuiEventDispatcherGlib::processEvents (this=0x80641f8, 
    flags=@0xbfe3bd58) at kernel/qguieventdispatcher_glib.cpp:204
#23 0xb759933d in QEventLoop::processEvents (this=0xbfe3bdd0, 
    flags=@0xbfe3bd94) at kernel/qeventloop.cpp:149
#24 0xb75994cd in QEventLoop::exec (this=0xbfe3bdd0, flags=@0xbfe3bdd8)
    at kernel/qeventloop.cpp:200
#25 0xb759b74d in QCoreApplication::exec () at kernel/qcoreapplication.cpp:849
#26 0xb6b08897 in QApplication::exec () at kernel/qapplication.cpp:3330
#27 0xb7f2ec12 in kdemain (argc=1, argv=0xbfe3c084)
    at /build/buildd/kde4libs-4.1.2/kded/kded.cpp:847
#28 0x08048572 in main (argc=1, argv=0x36)
    at /build/buildd/kde4libs-4.1.2/obj-i486-linux-gnu/kded/kded4_dummy.cpp:3
#0  0xb7f38410 in __kernel_vsyscall ()
Comment 35 FiNeX 2008-11-19 11:16:44 UTC
*** Bug 174598 has been marked as a duplicate of this bug. ***
Comment 36 Richard J. Thomma 2008-11-24 15:21:19 UTC
To waste about an Hour to supply insufficient information
created by the Kde-Crashmanager because of a bug I don't even Know
is a BUG in itself.

A little bit grumpy Richard J. Thomma
Comment 37 David Faure 2008-11-26 23:39:03 UTC
*** Bug 176168 has been marked as a duplicate of this bug. ***
Comment 38 David Faure 2008-11-26 23:40:48 UTC
*** Bug 175817 has been marked as a duplicate of this bug. ***
Comment 39 David Faure 2008-11-27 14:33:14 UTC
*** Bug 175628 has been marked as a duplicate of this bug. ***
Comment 40 David Faure 2008-11-28 13:58:45 UTC
*** Bug 175790 has been marked as a duplicate of this bug. ***
Comment 41 David Faure 2008-12-01 12:53:05 UTC
*** Bug 176531 has been marked as a duplicate of this bug. ***
Comment 42 Dale Simmons 2008-12-03 04:01:41 UTC
I installed Kubuntu Linux today which is my first experience with Linux.  I have some experience with DOS, WinXP Pro,  I can do most things, even edit the windows registry.  However, I had a fatal error come up after I installed Kubuntu from a recent download and creation of the Live CD.  It happened when I clicked on one of the icons next to the clock in the bottom right corner, they it said update, of which it proceeded to do until I got the error of the KDE 4.1.2 GUI update was a failure due to this file I saved and am copying and pasting below.  

Basically, I do not know what to do about it or how to correct the problem.  I would most welcome a step by step set of instructions in how to repair this problem.  

Also, since this is my first time using Linux and it is installed on the 2nd hard drive in my computer, I would like to know if Linux is supposed to take so long to load web pages, which are instantly loaded when I am using Windows XP Professional on the other hard drive.  I have a Road Runner Time Warner Cable Modem and it is blazingly fast with 10mbs download and around 800kbs upload.  

Note:  I have no programing experience yet, but I can edit files using text editors such as Windows config.sys and autoexec.bat.  Hope this is enough information to get you to be able to assist me, which I would have the most gratitude for your assistance.  I am presently a student for the Computer Information Technology Computer Networking Systems Degree Program at ITT Technical Institute.  I am just beginning to start getting into Linux.  I was expecting Linux to be blazingly fast, should it be???  I have a custom built by myself computer in which I have an AMD  2.1Gig XP3000/400mhz FSB Processor, and 2 Gigabytes of system RAM (PC3200/400mhz).  I chose to install Linux on its own hard drive, a Western Digital 4 Gigabyte HD, that I had for a spare and checks out with no errors.  There was absolutely nothing on it, and in fact I wrote all zero's to the hard drive to make sure it was totally wiped clean, then used Fdisk to create a Primary DOS Partition first, then installed Kubuntu Linux with the included KDE (GUI).  

If you could simplify my process of what I need to do, I will have the utmost gratitude, thanks.  Below is the copy and paste of what came up and I saved to a file for the error.
=====================================================
Application: KDE Daemon (kded4), signal SIGSEGV
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 0xb61e26c0 (LWP 5387)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[KCrash handler]
#6  0xb75042a4 in QString::operator== () from /usr/lib/libQtCore.so.4
#7  0xb7d289ed in ?? () from /usr/lib/libkio.so.5
#8  0xb7d28c9b in ?? () from /usr/lib/libkio.so.5
#9  0xb75c7a60 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#10 0xb75c87e2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#11 0xb7602633 in QSocketNotifier::activated () from /usr/lib/libQtCore.so.4
#12 0xb75cd637 in QSocketNotifier::event () from /usr/lib/libQtCore.so.4
#13 0xb6b458ec in QApplicationPrivate::notify_helper ()
   from /usr/lib/libQtGui.so.4
#14 0xb6b4d76e in QApplication::notify () from /usr/lib/libQtGui.so.4
#15 0xb7a8172d in KApplication::notify () from /usr/lib/libkdeui.so.5
#16 0xb75b2e61 in QCoreApplication::notifyInternal ()
   from /usr/lib/libQtCore.so.4
#17 0xb75dd70a in ?? () from /usr/lib/libQtCore.so.4
#18 0xb65746f8 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#19 0xb6577da3 in ?? () from /usr/lib/libglib-2.0.so.0
#20 0xb6577f61 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#21 0xb75dd478 in QEventDispatcherGlib::processEvents ()
   from /usr/lib/libQtCore.so.4
#22 0xb6bdfee5 in ?? () from /usr/lib/libQtGui.so.4
#23 0xb75b152a in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
#24 0xb75b16ea in QEventLoop::exec () from /usr/lib/libQtCore.so.4
#25 0xb75b3da5 in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
#26 0xb6b45767 in QApplication::exec () from /usr/lib/libQtGui.so.4
#27 0xb80030a6 in kdemain () from /usr/lib/libkdeinit4_kded4.so
#28 0x080485a2 in _start ()
#0  0xb8034430 in __kernel_vsyscall ()

Thank you for your help, I greatly appreciate any information you can provide to me.  I may have problems getting back to this area for a reply, so could you please email me a reply as well as posting it here, thanks so very much.  email: flyboydale54@yahoo.com
Comment 43 Dale Simmons 2008-12-03 04:08:49 UTC
I installed Kubuntu Linux today which is my first experience with Linux.  I have some experience with DOS, WinXP Pro,  I can do most things, even edit the windows registry.  However, I had a fatal error come up after I installed Kubuntu from a recent download and creation of the Live CD.  It happened when I clicked on one of the icons next to the clock in the bottom right corner, they it said update, of which it proceeded to do until I got the error of the KDE 4.1.2 GUI update was a failure due to this file I saved and am copying and pasting below.  

Basically, I do not know what to do about it or how to correct the problem.  I would most welcome a step by step set of instructions in how to repair this problem.  

Also, since this is my first time using Linux and it is installed on the 2nd hard drive in my computer, I would like to know if Linux is supposed to take so long to load web pages, which are instantly loaded when I am using Windows XP Professional on the other hard drive.  I have a Road Runner Time Warner Cable Modem and it is blazingly fast with 10mbs download and around 800kbs upload.  

Note:  I have no programing experience yet, but I can edit files using text editors such as Windows config.sys and autoexec.bat.  Hope this is enough information to get you to be able to assist me, which I would have the most gratitude for your assistance.  I am presently a student for the Computer Information Technology Computer Networking Systems Degree Program at ITT Technical Institute.  I am just beginning to start getting into Linux.  I was expecting Linux to be blazingly fast, should it be???  I have a custom built by myself computer in which I have an AMD  2.1Gig XP3000/400mhz FSB Processor, and 2 Gigabytes of system RAM (PC3200/400mhz).  I chose to install Linux on its own hard drive, a Western Digital 4 Gigabyte HD, that I had for a spare and checks out with no errors.  There was absolutely nothing on it, and in fact I wrote all zero's to the hard drive to make sure it was totally wiped clean, then used Fdisk to create a Primary DOS Partition first, then installed Kubuntu Linux with the included KDE (GUI).  

If you could simplify my process of what I need to do, I will have the utmost gratitude, thanks.  Below is the copy and paste of what came up and I saved to a file for the error.
=====================================================
Application: KDE Daemon (kded4), signal SIGSEGV
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 0xb61e26c0 (LWP 5387)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[KCrash handler]
#6  0xb75042a4 in QString::operator== () from /usr/lib/libQtCore.so.4
#7  0xb7d289ed in ?? () from /usr/lib/libkio.so.5
#8  0xb7d28c9b in ?? () from /usr/lib/libkio.so.5
#9  0xb75c7a60 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#10 0xb75c87e2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#11 0xb7602633 in QSocketNotifier::activated () from /usr/lib/libQtCore.so.4
#12 0xb75cd637 in QSocketNotifier::event () from /usr/lib/libQtCore.so.4
#13 0xb6b458ec in QApplicationPrivate::notify_helper ()
   from /usr/lib/libQtGui.so.4
#14 0xb6b4d76e in QApplication::notify () from /usr/lib/libQtGui.so.4
#15 0xb7a8172d in KApplication::notify () from /usr/lib/libkdeui.so.5
#16 0xb75b2e61 in QCoreApplication::notifyInternal ()
   from /usr/lib/libQtCore.so.4
#17 0xb75dd70a in ?? () from /usr/lib/libQtCore.so.4
#18 0xb65746f8 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#19 0xb6577da3 in ?? () from /usr/lib/libglib-2.0.so.0
#20 0xb6577f61 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#21 0xb75dd478 in QEventDispatcherGlib::processEvents ()
   from /usr/lib/libQtCore.so.4
#22 0xb6bdfee5 in ?? () from /usr/lib/libQtGui.so.4
#23 0xb75b152a in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
#24 0xb75b16ea in QEventLoop::exec () from /usr/lib/libQtCore.so.4
#25 0xb75b3da5 in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
#26 0xb6b45767 in QApplication::exec () from /usr/lib/libQtGui.so.4
#27 0xb80030a6 in kdemain () from /usr/lib/libkdeinit4_kded4.so
#28 0x080485a2 in _start ()
#0  0xb8034430 in __kernel_vsyscall ()

Thank you for your help, I greatly appreciate any information you can provide to me.  I may have problems getting back to this area for a reply, so could you please email me a reply as well as posting it here, thanks so very much.  email: flyboydale54@yahoo.com
Comment 44 David Faure 2008-12-04 17:10:15 UTC
*** Bug 176897 has been marked as a duplicate of this bug. ***
Comment 45 Dario Andres 2008-12-04 17:43:41 UTC
Bug 173696 may be related to this (similar description, backtrace similar to the ones described in comment 7 and comment 10) :)
Comment 46 David Faure 2008-12-04 17:44:05 UTC
*** Bug 176898 has been marked as a duplicate of this bug. ***
Comment 47 George Kiagiadakis 2008-12-07 12:31:48 UTC
*** Bug 177132 has been marked as a duplicate of this bug. ***
Comment 48 George Kiagiadakis 2008-12-08 00:30:54 UTC
*** Bug 177190 has been marked as a duplicate of this bug. ***
Comment 49 Jonathan Thomas 2008-12-11 17:56:35 UTC
*** Bug 177285 has been marked as a duplicate of this bug. ***
Comment 50 Dario Andres 2008-12-12 19:25:16 UTC
*** Bug 177610 has been marked as a duplicate of this bug. ***
Comment 51 Dario Andres 2008-12-12 19:25:58 UTC
*** Bug 177155 has been marked as a duplicate of this bug. ***
Comment 52 George Kiagiadakis 2008-12-12 23:19:07 UTC
*** Bug 177632 has been marked as a duplicate of this bug. ***
Comment 53 Ralph Lambert 2008-12-13 01:31:01 UTC
Ubuntu 8.10 upgrade failure - Backtrace follows:

Application: KDE Daemon (kded4), signal SIGSEGV
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 0xb60d98d0 (LWP 10900)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[KCrash handler]
#6  0xb73fa2a4 in QString::operator== () from /usr/lib/libQtCore.so.4
#7  0xb7c1e9ed in ?? () from /usr/lib/libkio.so.5
#8  0xb7c1ec9b in ?? () from /usr/lib/libkio.so.5
#9  0xb74bda60 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#10 0xb74be7e2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#11 0xb74f8633 in QSocketNotifier::activated () from /usr/lib/libQtCore.so.4
#12 0xb74c3637 in QSocketNotifier::event () from /usr/lib/libQtCore.so.4
#13 0xb6a3b8ec in QApplicationPrivate::notify_helper ()
   from /usr/lib/libQtGui.so.4
#14 0xb6a4372e in QApplication::notify () from /usr/lib/libQtGui.so.4
#15 0xb797772d in KApplication::~KApplication () from /usr/lib/libkdeui.so.5
#16 0xbfa32b00 in ?? ()
#17 0xb74a8e61 in QCoreApplication::notifyInternal ()
   from /usr/lib/libQtCore.so.4
#18 0xb74d370a in ?? () from /usr/lib/libQtCore.so.4
#19 0xb646a6f8 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#20 0xb646dda3 in ?? () from /usr/lib/libglib-2.0.so.0
#21 0xb646df61 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#22 0xb74d3478 in QEventDispatcherGlib::processEvents ()
   from /usr/lib/libQtCore.so.4
#23 0xb6ad5ea5 in ?? () from /usr/lib/libQtGui.so.4
#24 0xb74a752a in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
#25 0xb74a76ea in QEventLoop::exec () from /usr/lib/libQtCore.so.4
#26 0xb74a9da5 in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
#27 0xb6a3b767 in QApplication::exec () from /usr/lib/libQtGui.so.4
#28 0xb7efa0a6 in kdemain () from /usr/lib/libkdeinit4_kded4.so
#29 0x080485a2 in _start ()
#0  0xb7f33430 in __kernel_vsyscall ()
Comment 54 Dario Andres 2008-12-13 04:19:25 UTC
*** Bug 177647 has been marked as a duplicate of this bug. ***
Comment 55 Dario Andres 2008-12-15 22:15:20 UTC
*** Bug 177823 has been marked as a duplicate of this bug. ***
Comment 56 Dario Andres 2008-12-19 14:14:34 UTC
*** Bug 175761 has been marked as a duplicate of this bug. ***
Comment 57 David Faure 2008-12-22 15:05:42 UTC
*** Bug 178468 has been marked as a duplicate of this bug. ***
Comment 58 Dario Andres 2008-12-24 01:14:48 UTC
*** Bug 178620 has been marked as a duplicate of this bug. ***
Comment 59 Dario Andres 2008-12-25 00:58:03 UTC
*** Bug 178700 has been marked as a duplicate of this bug. ***
Comment 60 Dario Andres 2008-12-26 15:22:43 UTC
*** Bug 178798 has been marked as a duplicate of this bug. ***
Comment 61 Jonathan Thomas 2008-12-28 14:50:50 UTC
*** Bug 178962 has been marked as a duplicate of this bug. ***
Comment 62 Dario Andres 2008-12-29 11:46:10 UTC
*** Bug 179026 has been marked as a duplicate of this bug. ***
Comment 63 FiNeX 2008-12-30 14:04:27 UTC
*** Bug 176518 has been marked as a duplicate of this bug. ***
Comment 64 FiNeX 2008-12-30 14:04:32 UTC
*** Bug 177605 has been marked as a duplicate of this bug. ***
Comment 65 FiNeX 2008-12-30 14:06:03 UTC
*** Bug 179098 has been marked as a duplicate of this bug. ***
Comment 66 different.local 2008-12-30 19:03:06 UTC
This bug appears in Gentoo Linux 2008.0 with KDE 4.1.3, need fix.
Comment 67 Dario Andres 2008-12-31 13:25:00 UTC
*** Bug 179186 has been marked as a duplicate of this bug. ***
Comment 68 Dario Andres 2008-12-31 14:22:35 UTC
*** Bug 179207 has been marked as a duplicate of this bug. ***
Comment 69 Dario Andres 2009-01-01 13:44:01 UTC
*** Bug 179255 has been marked as a duplicate of this bug. ***
Comment 70 Dario Andres 2009-01-06 20:00:29 UTC
*** Bug 179830 has been marked as a duplicate of this bug. ***
Comment 71 Dario Andres 2009-01-10 18:22:28 UTC
*** Bug 180274 has been marked as a duplicate of this bug. ***
Comment 72 Dario Andres 2009-01-12 00:59:21 UTC
*** Bug 180391 has been marked as a duplicate of this bug. ***
Comment 73 Tommi Tervo 2009-01-13 12:53:04 UTC
*** Bug 180547 has been marked as a duplicate of this bug. ***
Comment 74 David Faure 2009-01-14 13:36:42 UTC
*** Bug 180652 has been marked as a duplicate of this bug. ***
Comment 75 David Faure 2009-01-14 18:31:31 UTC
Like comment #8 in this report, bug 180652 has a rather precise backtrace:
#5  0x00007fe96dc73c78 in QString::operator== () from /usr/lib/libQtCore.so.4
#6  0x00007fe96cde6d33 in KDirWatchPrivate::inotifyEventReceived (
    this=0x79cbb0) at /build/buildd/kde4libs-4.1.3/kio/kio/kdirwatch.cpp:288

Looking at the 4.1.3 sources:
svn cat $KDESVN/tags/KDE/4.1.3/kdelibs/kio/kio/kdirwatch.cpp

The code says:
      Q_FOREACH(sub_entry, e->m_entries)
              if (sub_entry->path == e->path + '/' + path) break;
and the crash is on the second line. So either sub_entry or e is already deleted, I would think...

If someone can reproduce that crash in valgrind, that would be the best way to find out more. Run "valgrind kded4 --nofork 2>&1 | tee vglog" and do the action that would normally make it crash; it won't crash, but the file vglog will talk about something like "invalid read".

I'm wondering if maybe we could make this safer by using more values and less pointers, but that seems difficult...
Comment 76 Flavio Castelli 2009-01-14 19:03:32 UTC
As I said in #28 I would really like to know how to reproduce this bug.
Valgrind's outputs are appreciated too.
Comment 77 auxsvr 2009-01-14 23:59:19 UTC
Created attachment 30249 [details]
kded4 running under valgrind during KDE update

I hope this helps.
Comment 78 David Faure 2009-01-15 02:02:13 UTC
Very interesting. I expected an invalid read, but you simply got:

==17078== Conditional jump or move depends on uninitialised value(s)
==17078==    at 0x41707A4: KDirWatchPrivate::inotifyEventReceived() (kdirwatch.cpp:324)

What's kdirwatch.cpp line 324 for you [or, which version of kdelibs are you using?]
Comment 79 auxsvr 2009-01-15 11:14:27 UTC
I was using KDE 4.1.87 before the update.
Comment 80 David Faure 2009-01-16 13:49:03 UTC
*** Bug 180955 has been marked as a duplicate of this bug. ***
Comment 81 David Faure 2009-01-20 03:57:44 UTC
I found it!!! Well, at least the reason for the valgrind hit.
I was running kdirmodeltest in valgrind while working on another and I hit the same conditional jump valgrind error, and now I understand why this happens: the KDE_stat call on line 352 isn't checked for errors! So S_ISDIR(stat_buf.st_mode) is inspecting an uninitialized buffer, if tpath doesn't exist.
In fact tpath can never exist, this code path is called when kdirwatch is being told that a file or directory has been deleted, right? ;)

Flavio, do I miss something? What is this KDE_stat trying to stat? If something that could indeed exist, then the code should read more like:
  if (KDE_stat(tpath, &stat_buf) == 0) {
     bool isDir = S_ISDIR(stat_buf.st_mode);
     [... code that uses isDir ...]
  } // else, well, tpath doesn't exist.

But if tpath is the thing that was just removed, then it never exists and I don't really follow this code...
Thanks for a prompt reply, we're about to release 4.2 ;-)
Comment 82 Flavio Castelli 2009-01-20 14:20:30 UTC
914106.(In reply to comment #81)
> I found it!!! Well, at least the reason for the valgrind hit.
> I was running kdirmodeltest in valgrind while working on another and I hit the
> same conditional jump valgrind error, and now I understand why this happens:
> the KDE_stat call on line 352 isn't checked for errors! So
> S_ISDIR(stat_buf.st_mode) is inspecting an uninitialized buffer, if tpath
> doesn't exist.
> In fact tpath can never exist, this code path is called when kdirwatch is being
> told that a file or directory has been deleted, right? ;)
> 
> Flavio, do I miss something? What is this KDE_stat trying to stat? If something
> that could indeed exist, then the code should read more like:
>   if (KDE_stat(tpath, &stat_buf) == 0) {
>      bool isDir = S_ISDIR(stat_buf.st_mode);
>      [... code that uses isDir ...]
>   } // else, well, tpath doesn't exist.
> 
> But if tpath is the thing that was just removed, then it never exists and I
> don't really follow this code...
> Thanks for a prompt reply, we're about to release 4.2 ;-)
> 

Good job David!!

I've committed a fix with rev 914106. I don't think it will solve the issue, but it will solve valgrind's warning. 
Comment 83 David Faure 2009-01-20 15:32:47 UTC
SVN commit 914158 by dfaure:

Make KDirWatch code more robust: check all KDE_stat calls for errors, I guess it can happen due to a race condition
 (file is created, inotify tells us about it, but meanwhile the file is deleted again).
Interestingly, the code changed by Flavio in 914106 is only in trunk, not in 4.2 branch, so it can't have
been responsible for the valgrind warning _I_ saw, while this commit should fix the similar valgrind warning
(but in the "file created" code) that auxsvr saw.

Still unlikely that this really fixes the 165548 crash, but at least future valgrind logs will be more helpful.
(This commit is just before 4.2.0)
CCBUG: 165548


 M  +42 -39    kdirwatch.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=914158
Comment 84 David Faure 2009-01-21 12:38:46 UTC
*** Bug 178268 has been marked as a duplicate of this bug. ***
Comment 85 David Faure 2009-01-21 12:40:25 UTC
*** Bug 178268 has been marked as a duplicate of this bug. ***
Comment 86 Dario Andres 2009-01-24 13:36:30 UTC
*** Bug 181719 has been marked as a duplicate of this bug. ***
Comment 87 Jean-Christophe Dubois 2009-01-28 23:51:43 UTC
I am running Kubuntu with KDE 4.2 RC1. Durig some package upgrade (actually getting me to KDE 4.2.00) some KDE daemon crashed wit the following backtrace.

Application : Démon de KDE (kded4), signal SIGSEGV

Thread 1 (Thread 0xb61f66c0 (LWP 5942)):
[KCrash Handler]
#6  0xb6ba32a4 in QString::operator== () from /usr/lib/libQtCore.so.4
#7  0xb7efb66d in KDirWatchPrivate::inotifyEventReceived (this=0xbffb80c8) at /usr/include/qt4/QtCore/qstring.h:671
#8  0xb7efc94b in KDirWatchPrivate::slotRescan (this=0x8a116f0) at /usr/include/qt4/QtCore/qstring.h:671
#9  0xb6c66a60 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#10 0xb6c677e2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#11 0xb6ca1633 in QSocketNotifier::activated () from /usr/lib/libQtCore.so.4
#12 0xb6c6c637 in QSocketNotifier::event () from /usr/lib/libQtCore.so.4
#13 0xb711a8ec in QApplicationPrivate::notify_helper () from /usr/lib/libQtGui.so.4
#14 0xb712272e in QApplication::notify () from /usr/lib/libQtGui.so.4
#15 0xb7c3a04d in KApplication::notify (this=0xbffb98a0, receiver=0x8a11c70, event=0xbffb95d0) at /build/buildd/kde4libs-4.2.0/kdeui/kernel/kapplication.cpp:284
#16 0xb6c51e61 in QCoreApplication::notifyInternal () from /usr/lib/libQtCore.so.4
#17 0xb6c7c70a in ?? () from /usr/lib/libQtCore.so.4
#18 0xb65246f8 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#19 0xb6527da3 in ?? () from /usr/lib/libglib-2.0.so.0
#20 0xb6527f61 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#21 0xb6c7c478 in QEventDispatcherGlib::processEvents () from /usr/lib/libQtCore.so.4
#22 0xb71b4ea5 in ?? () from /usr/lib/libQtGui.so.4
#23 0xb6c5052a in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
#24 0xb6c506ea in QEventLoop::exec () from /usr/lib/libQtCore.so.4
#25 0xb6c52da5 in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
#26 0xb711a767 in QApplication::exec () from /usr/lib/libQtGui.so.4
#27 0xb8081996 in ?? () from /usr/lib/libkdeinit4_kded4.so
#28 0x080486b2 in main (argc=145284792, argv=0x8b41388) at /build/buildd/kde4libs-4.2.0/obj-i486-linux-gnu/kded/kded4_dummy.cpp:3
Comment 88 Dario Andres 2009-01-29 15:27:58 UTC
*** Bug 182270 has been marked as a duplicate of this bug. ***
Comment 89 Jonathan Thomas 2009-02-01 17:21:31 UTC
*** Bug 179027 has been marked as a duplicate of this bug. ***
Comment 90 Jonathan Thomas 2009-02-02 17:11:23 UTC
*** Bug 182816 has been marked as a duplicate of this bug. ***
Comment 91 Dario Andres 2009-02-03 13:07:31 UTC
*** Bug 182965 has been marked as a duplicate of this bug. ***
Comment 92 Dario Andres 2009-02-07 19:16:37 UTC
*** Bug 183584 has been marked as a duplicate of this bug. ***
Comment 93 Dario Andres 2009-02-08 13:27:53 UTC
*** Bug 183674 has been marked as a duplicate of this bug. ***
Comment 94 David Faure 2009-02-12 11:12:16 UTC
*** Bug 184101 has been marked as a duplicate of this bug. ***
Comment 95 David Faure 2009-02-12 19:49:16 UTC
*** Bug 154788 has been marked as a duplicate of this bug. ***
Comment 96 George Kiagiadakis 2009-02-17 10:17:41 UTC
*** Bug 184585 has been marked as a duplicate of this bug. ***
Comment 97 David Faure 2009-02-18 01:35:05 UTC
*** Bug 183921 has been marked as a duplicate of this bug. ***
Comment 98 David Faure 2009-02-18 01:35:38 UTC
*** Bug 184171 has been marked as a duplicate of this bug. ***
Comment 99 Dario Andres 2009-02-19 23:34:35 UTC
*** Bug 184870 has been marked as a duplicate of this bug. ***
Comment 100 Frank Reininghaus 2009-02-23 11:09:39 UTC
*** Bug 185304 has been marked as a duplicate of this bug. ***
Comment 101 David Faure 2009-02-23 11:45:40 UTC
*** Bug 185293 has been marked as a duplicate of this bug. ***
Comment 102 Tommi Tervo 2009-02-26 15:33:47 UTC
*** Bug 185607 has been marked as a duplicate of this bug. ***
Comment 103 Dario Andres 2009-02-26 21:33:04 UTC
*** Bug 185609 has been marked as a duplicate of this bug. ***
Comment 104 Jonathan Thomas 2009-03-02 16:07:03 UTC
*** Bug 185963 has been marked as a duplicate of this bug. ***
Comment 105 John Schmidt 2009-03-10 14:48:14 UTC
This sounds like the same same problem I had while doing a huge batch of updates to Kubuntu 8.10 and KDE4.1     I got the following information about the KDE daemon causing a signal 11 (SIGSEGV)

This backtrace appears to be of no use.
This is probably because your packages are built in a way which prevents creation of proper backtraces, or the stack frame was seriously corrupted in the crash.

(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 0xb62876c0 (LWP 5342)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
0xb80db430 in __kernel_vsyscall ()
[Current thread is 0 (process 5342)]

Thread 1 (Thread 0xb62876c0 (LWP 5342)):
#0  0xb80db430 in __kernel_vsyscall ()
#1  0xb7fddf10 in nanosleep () from /lib/tls/i686/cmov/libc.so.6
#2  0xb7fddd4e in sleep () from /lib/tls/i686/cmov/libc.so.6
#3  0xb7b93612 in ?? () from /usr/lib/libkdeui.so.5
#4  0xb7b94014 in KCrash::defaultCrashHandler () from /usr/lib/libkdeui.so.5
#5  <signal handler called>
#6  0xb75a82a4 in QString::operator== () from /usr/lib/libQtCore.so.4
#7  0xb7dce88d in ?? () from /usr/lib/libkio.so.5
#8  0xb7dceb3b in ?? () from /usr/lib/libkio.so.5
#9  0xb766ba60 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#10 0xb766c7e2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#11 0xb76a6633 in QSocketNotifier::activated () from /usr/lib/libQtCore.so.4
#12 0xb7671637 in QSocketNotifier::event () from /usr/lib/libQtCore.so.4
#13 0xb6be98ec in QApplicationPrivate::notify_helper () from /usr/lib/libQtGui.so.4
#14 0xb6bf172e in QApplication::notify () from /usr/lib/libQtGui.so.4
#15 0xb7b25d1d in KApplication::notify () from /usr/lib/libkdeui.so.5
#16 0xb7656e61 in QCoreApplication::notifyInternal () from /usr/lib/libQtCore.so.4
#17 0xb768170a in ?? () from /usr/lib/libQtCore.so.4
#18 0xb66196f8 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#19 0xb661cda3 in ?? () from /usr/lib/libglib-2.0.so.0
#20 0xb661cf61 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#21 0xb7681478 in QEventDispatcherGlib::processEvents () from /usr/lib/libQtCore.so.4
#22 0xb6c83ea5 in ?? () from /usr/lib/libQtGui.so.4
#23 0xb765552a in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
#24 0xb76556ea in QEventLoop::exec () from /usr/lib/libQtCore.so.4
#25 0xb7657da5 in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
#26 0xb6be9767 in QApplication::exec () from /usr/lib/libQtGui.so.4
#27 0xb80a9ec6 in kdemain () from /usr/lib/libkdeinit4_kded4.so
#28 0x080485a2 in _start ()
#0  0xb80db430 in __kernel_vsyscall ()


Sincerely,
John Schmidt
Comment 106 Pino Toscano 2009-03-11 11:43:57 UTC
*** Bug 186834 has been marked as a duplicate of this bug. ***
Comment 107 Remko van der Pluijm 2009-03-11 18:10:15 UTC
Another crash, this time when trying to access KdeWallet:

Application: KdeSudo (kdesu), signal SIGSEGV
0x00007fa418f546e1 in nanosleep () from /lib/libc.so.6
[Current thread is 0 (LWP 23703)]

Thread 2 (Thread 0x40ff4950 (LWP 23704)):
#0  0x00007fa418f8b4b2 in select () from /lib/libc.so.6
#1  0x00007fa41a9bf006 in ?? () from /usr/lib/libQtCore.so.4
#2  0x00007fa41a8f6362 in ?? () from /usr/lib/libQtCore.so.4
#3  0x00007fa4175433ea in start_thread () from /lib/libpthread.so.0
#4  0x00007fa418f92cbd in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fa41b3196f0 (LWP 23703)):
[KCrash Handler]
#5  0x00007fa418f2e7b0 in strlen () from /lib/libc.so.6
#6  0x00007fa418ef747e in vfprintf () from /lib/libc.so.6
#7  0x00007fa418fa90b2 in __fprintf_chk () from /lib/libc.so.6
#8  0x0000000000408611 in _start ()
Comment 108 Dario Andres 2009-03-12 20:56:24 UTC
*** Bug 187005 has been marked as a duplicate of this bug. ***
Comment 109 Aniruddha Shankar 2009-03-13 14:06:39 UTC
I had filed a bug which was marked as a duplicate of this bug. I am pasting my full backtrace information here, in case it helps.

Version:            (using KDE 4.2.1)
Compiler:          GCC 4.3.3 target: x86_64-pc-linux-gnu
OS:                Linux
Installed from:    Gentoo Packages

I had 1 konqueror window open, 1 konsole window open, 1 firefox window open and
the XFCE4 packages were being built in the konsole window using Gentoo's
package build system, Portage. Luckily, I have configured kde to build with
debug flags AND preserve debug information, so am able to paste the following
backtrace:

Application: KDE Daemon (kded4), signal SIGSEGV
0x00007f03a80bd901 in nanosleep () from /lib/libc.so.6
Current language:  auto; currently c

Thread 1 (Thread 0x7f03acb36750 (LWP 2550)):
[KCrash Handler]
#5  0x00007f03ab249a06 in QString::operator== (this=<value optimized out>,
other=@0x7fffb4b71d90) at
../../include/QtCore/../../src/corelib/tools/qstring.h:104
#6  0x00007f03ac3b2b86 in KDirWatchPrivate::inotifyEventReceived
(this=0x2331cf0) at
/var/tmp/portage/kde-base/kdelibs-4.2.1/work/kdelibs-4.2.1/kio/kio/kdirwatch.cpp:298
#7  0x00007f03ac3b2ea8 in KDirWatchPrivate::qt_metacall (this=0x2331cf0,
_c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffb4b72010)
    at
/var/tmp/portage/kde-base/kdelibs-4.2.1/work/kdelibs_build/kio/kdirwatch_p.moc:75
#8  0x00007f03ab300085 in QMetaObject::activate (sender=0x2262f80,
from_signal_index=<value optimized out>, to_signal_index=4,
argv=0x770065006e002e) at kernel/qobject.cpp:3057
#9  0x00007f03ab33482e in QSocketNotifier::activated (this=0x0, _t1=10) at
.moc/debug-shared/moc_qsocketnotifier.cpp:83
#10 0x00007f03ab305543 in QSocketNotifier::event (this=0x2262f80,
e=0x7fffb4b72600) at kernel/qsocketnotifier.cpp:316
#11 0x00007f03a9e321ad in QApplicationPrivate::notify_helper (this=0x2268ed0,
receiver=0x2262f80, e=0x7fffb4b72600) at kernel/qapplication.cpp:4084
#12 0x00007f03a9e3ad9e in QApplication::notify (this=0x7fffb4b72920,
receiver=0x2262f80, e=0x7fffb4b72600) at kernel/qapplication.cpp:4049
#13 0x00007f03abe7a021 in KApplication::notify (this=0x7fffb4b72920,
receiver=0x2262f80, event=0x7fffb4b72600)
    at
/var/tmp/portage/kde-base/kdelibs-4.2.1/work/kdelibs-4.2.1/kdeui/kernel/kapplication.cpp:307
#14 0x00007f03ab2ea73b in QCoreApplication::notifyInternal
(this=0x7fffb4b72920, receiver=0x2262f80, event=0x7fffb4b72600) at
kernel/qcoreapplication.cpp:598
#15 0x00007f03ab312ba9 in socketNotifierSourceDispatch (source=0x226b590) at
kernel/qcoreapplication.h:213
#16 0x00007f03a5b8087a in IA__g_main_context_dispatch (context=0x226b440) at
gmain.c:2144
#17 0x00007f03a5b8402d in g_main_context_iterate (context=0x226b440, block=1,
dispatch=1, self=<value optimized out>) at gmain.c:2778
#18 0x00007f03a5b841eb in IA__g_main_context_iteration (context=0x226b440,
may_block=1) at gmain.c:2841
#19 0x00007f03ab31292f in QEventDispatcherGlib::processEvents (this=0x22690e0,
flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:323
#20 0x00007f03a9ebfe4f in QGuiEventDispatcherGlib::processEvents (this=0x0,
flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#21 0x00007f03ab2e93a2 in QEventLoop::processEvents (this=<value optimized
out>, flags={i = -1263065056}) at kernel/qeventloop.cpp:149
#22 0x00007f03ab2e9535 in QEventLoop::exec (this=0x7fffb4b72860, flags={i =
-1263064976}) at kernel/qeventloop.cpp:196
#23 0x00007f03ab2ee1fe in QCoreApplication::exec () at
kernel/qcoreapplication.cpp:880
#24 0x00007f03ac74c597 in kdemain (argc=1, argv=0x7fffb4b72c08) at
/var/tmp/portage/kde-base/kdelibs-4.2.1/work/kdelibs-4.2.1/kded/kded.cpp:937
#25 0x00007f03a803c5c6 in __libc_start_main (main=0x400960 <main>, argc=1,
ubp_av=0x7fffb4b72c08, init=0x400990 <__libc_csu_init>, fini=<value optimized
out>, rtld_fini=<value optimized out>, 
    stack_end=0x7fffb4b72bf8) at libc-start.c:226
#26 0x0000000000400899 in _start ()

I'm also appending a portion of the emerge --info information. while much of
this is only of relevance to Gentoo, there are several pieces of information
that might be relevant to the bug fixers. Thanks for you guys' work on KDE,
it's awesome. 

satori ~ # emerge --info                                                        
Portage 2.1.6.7 (default/linux/amd64/2008.0, gcc-4.3.3, glibc-2.9_p20081201-r2,
2.6.28-gentoo-r3 x86_64)                                                       
=================================================================               
System uname:
Linux-2.6.28-gentoo-r3-x86_64-Intel-R-_Core-TM-2_Duo_CPU_E8200_@_2.66GHz-with-glibc2.2.5 
Timestamp of tree: Wed, 11 Mar 2009 06:00:02 +0000                              
ccache version 2.4 [enabled]                                                    
app-shells/bash:     4.0_p10                                                    
dev-java/java-config: 2.1.7                                                     
dev-lang/python:     2.5.4-r2                                                   
dev-util/ccache:     2.4-r8                                                     
dev-util/cmake:      2.6.3                                                      
sys-apps/baselayout: 2.0.0                                                      
sys-apps/openrc:     0.4.3-r1                                                   
sys-apps/sandbox:    1.4                                                        
sys-devel/autoconf:  2.13, 2.63                                                 
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2                  
sys-devel/binutils:  2.19.1                                                     
sys-devel/gcc-config: 1.4.1                                                     
sys-devel/libtool:   2.2.6a                                                     
virtual/os-headers:  2.6.28-r1                                                  
ACCEPT_KEYWORDS="amd64 ~amd64"                                                  
CBUILD="x86_64-pc-linux-gnu"                                                    
CFLAGS="-march=core2 -O2 -pipe -g -ggdb"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/
/etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild
/etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=core2 -O2 -pipe -g -ggdb"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks fixpackages parallel-fetch protect-owned sandbox
sfperms splitdebug strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.gg3.net/ "
LDFLAGS="-Wl,-O1"
LINGUAS="en hi hi_IN"
MAKEOPTS="-j3"
Comment 110 Frank Reininghaus 2009-03-14 18:51:32 UTC
*** Bug 187163 has been marked as a duplicate of this bug. ***
Comment 111 mikey.x88 2009-03-15 06:25:17 UTC
I got  this bug as well. I'm not sure how this bug report should work. I saved the crash file. Here is something small from the error popup:

Application: KDE Daemon (kded4), signal SIGSEGV

Thread 1 (Thread 0xb62596c0 (LWP 5032)):
#0  0xb80ab430 in __kernel_vsyscall ()
#1  0xb7faddc0 in sleep () from /lib/tls/i686/cmov/libc.so.6
#2  0xb7b66042 in KCrash::defaultCrashHandler () from /usr/lib/libkdeui.so.5
#3  0x00000000 in ?? ()

the specs for this computer are: P3 ~850 MHz, 40GB HDD, 1GB RAM, DVD-ROM, FLOPPY, dlink pci network card, not sure what type of video card.
Comment 112 mikey.x88 2009-03-15 06:27:50 UTC
Created attachment 32119 [details]
Crash file

Application: KDE Daemon (kded4), signal SIGSEGV

Thread 1 (Thread 0xb62596c0 (LWP 5032)):
#0  0xb80ab430 in __kernel_vsyscall ()
#1  0xb7faddc0 in sleep () from /lib/tls/i686/cmov/libc.so.6
#2  0xb7b66042 in KCrash::defaultCrashHandler () from /usr/lib/libkdeui.so.5
#3  0x00000000 in ?? ()

Got his error. Computer specs: P3 ~850Mhz, 40 GB HDD, 1GB HDD, DVD-ROM, Floppy, Dlink pci network card, video card brand + model unkown atm.
Comment 113 David Faure 2009-03-20 22:41:45 UTC
*** Bug 187667 has been marked as a duplicate of this bug. ***
Comment 114 Pino Toscano 2009-03-24 15:03:44 UTC
*** Bug 188003 has been marked as a duplicate of this bug. ***
Comment 115 Pino Toscano 2009-03-30 02:58:40 UTC
*** Bug 188443 has been marked as a duplicate of this bug. ***
Comment 116 Dario Andres 2009-03-31 02:57:16 UTC
*** Bug 188441 has been marked as a duplicate of this bug. ***
Comment 117 Christoph Feck 2009-03-31 07:06:36 UTC
*** Bug 188519 has been marked as a duplicate of this bug. ***
Comment 118 David Faure 2009-04-08 17:34:57 UTC
*** Bug 189109 has been marked as a duplicate of this bug. ***
Comment 119 Dario Andres 2009-04-17 14:58:27 UTC
*** Bug 189793 has been marked as a duplicate of this bug. ***
Comment 120 Andrea 2009-04-29 16:24:42 UTC
I can confirm this bug
it happended to me during an "apt-get upgrade" session
my distro is debian 5.0/lenny with some packages from squeeze/testing and sid/unstable
I'm using kde4 from debian sid/unstable repository

here are the details
Applicazione: Demone KDE (kded4), segnale SIGSEGV

Thread 1 (Thread 0xb6058700 (LWP 4356)):
[KCrash Handler]
#6  KDirWatchPrivate::useINotify (this=0x9dba308, e=0x9e0cb9c) at /usr/include/qt4/QtCore/qatomic_i386.h:116
#7  0xb7415919 in KDirWatchPrivate::inotifyEventReceived (this=0x9dba308) at ../../kio/kio/kdirwatch.cpp:311
#8  0xb7415acb in KDirWatchPrivate::qt_metacall (this=0x9dba308, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0xbfc0873c) at ./kdirwatch_p.moc:74
#9  0xb7c86be0 in objSearch (result=@0x9d90d78, list=@0xbfc08adc, inheritsClass=0x9dc2570 "\210Pշ�\016�\t\t", onlyWidgets=25, objName=0x4 <Address 0x4 out of bounds>, rx=0xbfc0873c, recurse=false)
    at kernel/qobject.cpp:1589
#10 0xb7c87962 in QMetaObject::connect (sender=0x9dc2570, signal_index=-1210757008, receiver=0x0, method_index=-1077901508, type=<value optimized out>, types=0x9d42480) at kernel/qobject.cpp:2823
#11 0xb7cc16f3 in QXmlStreamWriter::writeNamespace (this=0x9dc2570, namespaceUri=@0x0, prefix=@0xb7d55070) at xml/qxmlstream.cpp:3585
#12 0xb7c8c7b7 in ~QObject (this=0x9dc2570) at ../../include/QtCore/../../src/corelib/tools/qvector.h:114
#13 0xb69b679c in comp_func_solid_DestinationAtop<QSSEIntrinsics> (dest=0x9d5d978, length=8, src=166062612, const_alpha=164917064) at /usr/lib/gcc/i486-linux-gnu/4.3.3/include/mmintrin.h:660
#14 0xb69be61e in QApplication::exec () at kernel/qapplication.cpp:3521
#15 0xb7750b7d in KApplication::notify (this=0xbfc08dbc, receiver=0x9dc2570, event=0xbfc08b00) at ../../kdeui/kernel/kapplication.cpp:307
#16 0xb7c720e1 in QAbstractItemModel::endInsertColumns (this=0xbfc08dbc) at ../../include/QtCore/../../src/corelib/tools/qvector.h:129
#17 0xb7c9c87a in ~QGlobalStaticDeleter (this=0x9d49a60) at ../../include/QtCore/../../src/corelib/tools/qmap.h:157
#18 0xb66ed718 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#19 0xb66f0c7b in ?? () from /usr/lib/libglib-2.0.so.0
#20 0x09d490f8 in ?? ()
#21 0x00000000 in ?? ()
Comment 121 Dario Andres 2009-05-01 02:37:02 UTC
*** Bug 191187 has been marked as a duplicate of this bug. ***
Comment 122 Dario Andres 2009-05-06 16:29:53 UTC
*** Bug 191818 has been marked as a duplicate of this bug. ***
Comment 123 Dario Andres 2009-05-12 19:45:02 UTC
*** Bug 190368 has been marked as a duplicate of this bug. ***
Comment 124 Dario Andres 2009-05-20 21:08:15 UTC
Any KDE4.2.3/4.3+ report? Was this properly fixed?
Regards
Comment 125 George Kiagiadakis 2009-05-23 21:12:44 UTC
Today I got this crash with kate 4.2.2. I was saving a new file. As soon as I entered the filename in the save as dialog and clicked ok, kate crashed with exactly the same backtrace as in previous comments here. Fortunately, the file was actually saved, so it's not a critical bug.
Comment 126 Dario Andres 2009-06-19 22:57:10 UTC
Strange enough, bug 196951 looks related to this.
Comment 127 Dario Andres 2009-06-19 23:26:32 UTC
*** Bug 196951 has been marked as a duplicate of this bug. ***
Comment 128 Salvatore LaFata 2009-06-22 12:13:31 UTC
Created attachment 34732 [details]
KDE Daemon Crash Report
Comment 129 Salvatore LaFata 2009-06-22 12:15:20 UTC
I've received this crash ever since upgrading to Mandriva 2009.  I'm now on Mandriva 2009.1 with KDE 4.2.2 and am still getting crashes.  I've attached the crash report above.
Comment 130 Dario Andres 2009-06-30 23:15:54 UTC
@Salvatore LaFata: your crash is a different one. Please file a new bug report against the "kpackagekit" product in this bugtracker. Thanks
Comment 131 Pino Toscano 2009-07-05 01:20:02 UTC
*** Bug 198965 has been marked as a duplicate of this bug. ***
Comment 132 Dario Andres 2009-07-07 12:59:14 UTC
BUg 198692 seems like this but on 4.2.95
Comment 133 Kathleen Lacey 2009-07-30 03:10:10 UTC
Am a newbie to Linux. Was viewing a Blog and copied this from the Crash Handler popup------ 

Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".
Kathleen



(In reply to comment #0)
> Version:            (using KDE 4.0.5)
> OS:                Linux
> 
> Per directions from KDE Crash Handler, contrary to your request to be submitted in English...
> 
> but adding the information, that error occurred during install phase of Update manager, today.
> 
> Pasted from report.
> 
> Application: KDE Daemon (kded4), signal SIGSEGV
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> [Thread debugging using libthread_db enabled]
> [New Thread 0xb6296a20 (LWP 12886)]
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> (no debugging symbols found)
> [KCrash handler]
> #6  0xb75a8c87 in QString::operator== () from /usr/lib/libQtCore.so.4
> #7  0xb7d2b1a8 in ?? () from /usr/lib/kde4/lib/libkio.so.5
> #8  0xb7d2b9fa in ?? () from /usr/lib/kde4/lib/libkio.so.5
> #9  0xb76684f9 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
> #10 0xb7668bc2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
> #11 0xb76a5ca3 in QSocketNotifier::activated () from /usr/lib/libQtCore.so.4
> #12 0xb766eb8f in QSocketNotifier::event () from /usr/lib/libQtCore.so.4
> #13 0xb6bcbc0c in QApplicationPrivate::notify_helper ()
>    from /usr/lib/libQtGui.so.4
> #14 0xb6bd07a9 in QApplication::notify () from /usr/lib/libQtGui.so.4
> #15 0xb7ad3d93 in KApplication::notify () from /usr/lib/kde4/lib/libkdeui.so.5
> #16 0xb76536a9 in QCoreApplication::notifyInternal ()
>    from /usr/lib/libQtCore.so.4
> #17 0xb767ee23 in ?? () from /usr/lib/libQtCore.so.4
> #18 0xb6605bf8 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
> #19 0xb6608e5e in ?? () from /usr/lib/libglib-2.0.so.0
> #20 0xb66093ac in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
> #21 0xb767ef98 in QEventDispatcherGlib::processEvents ()
>    from /usr/lib/libQtCore.so.4
> #22 0xb6c5f1b5 in ?? () from /usr/lib/libQtGui.so.4
> #23 0xb765292d in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
> #24 0xb7652abd in QEventLoop::exec () from /usr/lib/libQtCore.so.4
> #25 0xb7654d3d in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
> #26 0xb6bcb567 in QApplication::exec () from /usr/lib/libQtGui.so.4
> #27 0xb7fcad14 in kdemain () from /usr/lib/kde4/lib/libkdeinit4_kded4.so
> #28 0x08048572 in _start ()
> #0  0xb7fd4410 in __kernel_vsyscall ()
Comment 134 Dario Andres 2009-08-23 19:05:03 UTC
*** Bug 193834 has been marked as a duplicate of this bug. ***
Comment 135 Dario Andres 2009-09-29 03:57:49 UTC
*** Bug 208789 has been marked as a duplicate of this bug. ***
Comment 136 Alvaro 2009-09-30 20:56:53 UTC
Hi, I found why this crash occurs when Mandriva 2009 made automatically the upgrade, the system firs try to install first funtional libraries instead of common libraries, so I fixed programing that first check all the common libraries of the upgrade and then all the others, is a little bit slower the process, but Mandriva KDE 4.2. is not crashing anymore
Alvaro
Comment 137 Kathleen Lacey 2009-10-01 00:44:09 UTC
Thanks for sending me everything. Unfortunately, i bought my tower with OS
already installed. I do not know how to work Linux, am a newbie.
Kathleen
On Wed, Sep 30, 2009 at 11:57 AM, Alvaro <amcs1976@netscape.net> wrote:

> https://bugs.kde.org/show_bug.cgi?id=165548
>
>
>
>
>
> --- Comment #136 from Alvaro <amcs1976 netscape net>  2009-09-30 20:56:53
> ---
> Hi, I found why this crash occurs when Mandriva 2009 made automatically the
> upgrade, the system firs try to install first funtional libraries instead
> of
> common libraries, so I fixed programing that first check all the common
> libraries of the upgrade and then all the others, is a little bit slower
> the
> process, but Mandriva KDE 4.2. is not crashing anymore
> Alvaro
>
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
>
Comment 138 Christoph Feck 2009-12-03 21:38:40 UTC
*** Bug 216914 has been marked as a duplicate of this bug. ***
Comment 139 Christoph Feck 2009-12-03 21:39:18 UTC
*** Bug 216782 has been marked as a duplicate of this bug. ***
Comment 140 Christoph Feck 2009-12-03 21:40:52 UTC
*** Bug 215967 has been marked as a duplicate of this bug. ***
Comment 141 Christoph Feck 2009-12-04 03:05:02 UTC
SVN commit 1058169 by cfeck:

Fix broken reading in inotifyEventReceived

Multiple bugs:
* MAX_PATH is 4096 on linux, but inotify_event needs some bytes as well
* the "pending" variable was incorrectly abused to mean both pending
    bytes in buffer as well as pending bytes in stream
* the offset was not reset to zero when the next chunk was reading
* when an event was larger than what was available in buffer, it was reading
    beyond the buffer boundaries

Many thanks to David for review and help with improving clarity of the code.

David, please test for regressions, maybe add a test which changes
some 1000 files in one go.

CCMAIL:faure@kde.org

CCBUG:165548
CCBUG:173696
CCBUG:175005
CCBUG:198692
CCBUG:204178


 M  +20 -9     kdirwatch.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1058169
Comment 142 David Faure 2009-12-04 12:49:46 UTC
SVN commit 1058399 by dfaure:

Unit test for creating 5000 files in order to the interesting code paths of KDirWatchPrivate::inotifyEventReceived()
Turns out we'll never hit MAX_PATH, the event contains the filename, not the full path.
I also never get into the "partial event" case because the events have a size of 16 or 32, and we read
by blocks of 8192.
CCBUG:165548


 M  +1 -0      CMakeLists.txt  
 A             kdirwatch_unittest.cpp   [License: LGPL (v2+)]


WebSVN link: http://websvn.kde.org/?view=rev&revision=1058399
Comment 143 Christoph Feck 2009-12-10 02:30:40 UTC
David, if we read size 16 or 32, but the block size is 8192, then the following scenario could happen: Read 511 entries with 16 bytes, the next entry is 32 bytes (or any other combination, where only 16 bytes are available, but next entry is 32 bytes).

So we can get partial entries, and I am sure it is the reason why it crashed in the first place.

We will see on 4.4.0 -> 4.4.1 update, when package managers start touching files again :)
Comment 144 Gerhard Kulzer 2010-01-03 08:12:55 UTC
I got the problem of kded crashing after update from Kubuntu karmic to lucid. I'm running a AMD64 system. Strangely enough, the crash occurs only with the Ubuntu kernel 2.6.32xx.
When I run my self-compiled stock kernel, there is no kded crash.
Comment 145 Andreas Pakulat 2010-01-09 10:47:26 UTC
*** Bug 221890 has been marked as a duplicate of this bug. ***
Comment 146 Andreas Pakulat 2010-01-11 09:40:59 UTC
*** Bug 222148 has been marked as a duplicate of this bug. ***
Comment 147 Christoph Feck 2010-01-18 09:52:55 UTC
*** Bug 222974 has been marked as a duplicate of this bug. ***
Comment 148 Hanno 2010-01-19 02:26:31 UTC
with the latest weekly kde packages from opensuse 11.2 the crash does not occur anymore for me
I reported 222974, which was marked a duplicated of this.
Comment 149 Matthew Woehlke 2010-01-25 23:56:02 UTC
Any "official" thoughts on if bug 224229 is a duplicate of this? Stack trace looks similar; if yes, this isn't fixed (as of today's svn, even).

(If yes, the 'upgrade' stuff is all a huge red herring; I'm seeing it just due to files being changed where a dirwatcher is running.)
Comment 150 Nico Kruber 2010-02-03 18:58:56 UTC
Created attachment 40506 [details]
New crash information added by DrKonqi

looks like the bug is still there - see the attached stack trace from digiKam 1.1.0 with KDE 4.4 RC3 (newest openSUSE 11.2 packages, x86_64)
Comment 151 Karl 2010-02-05 18:31:08 UTC
Created attachment 40551 [details]
kdevelop 3.9.97 backtrace with debug symbols

Attaching backtrace with debug symbols. 
KDE 4.3.5  kdevelop 3.9.97 on gentoo linux.

For me this bug is 100% repeatable.  Process to repeat.

1.  Open and edit file.cpp in kdevelop.
2.  svn revert  file.cpp
3.  Kdevelop then promps me that the file has changed.
4.  I click "reload file"  
5.  edit file.cpp   change a line or two.
6.  Hit Ctrl-S  (Save) 
7.  CRASH.
Comment 152 jcb1985 2010-02-11 21:23:56 UTC
the bug is still here with KDE SC 4.4.0 + Qt 4.6.1
Comment 153 Dario Andres 2010-02-15 21:15:51 UTC
*** Bug 225793 has been marked as a duplicate of this bug. ***
Comment 154 David Faure 2010-02-16 00:20:18 UTC
Comment #151 is a different bug, it's bug 220153, which was fixed today.

Comment #150 is the digikam issue, i.e. bug 222974.

The crash in this particular issue looks fixed by comment #141 to me. Well, the question is whether anyone gets the kded crash with kdelibs-4.4.0 or later.
Comment 155 David Faure 2010-02-18 00:40:46 UTC
Since I just fixed the findSubEntry crash (bug 222974), I'm closing this again.
Please reopen only if you get a kded4 crash in kdirwatch with KDE-4.4.1 when it's released.
My suspicion is that it got fixed by the fix for bug 220153, actually; the crash here looks also like one that would come from methods called from the slots connected to kdirwatch.

For apps showing a "file changed" dialog, like kate or kdevelop, see bug 220153 (fixed for 4.4.1), and for apps that crash shortly after saving (e.g. digikam), see bug 222974 (fixed for 4.4.1). Let's not mix up the various issues, otherwise it gets really confusing ;).
Comment 156 Christoph Feck 2010-02-25 00:31:15 UTC
*** Bug 173696 has been marked as a duplicate of this bug. ***
Comment 157 Christoph Feck 2010-02-25 00:32:54 UTC
*** Bug 175005 has been marked as a duplicate of this bug. ***
Comment 158 Christoph Feck 2010-02-25 00:34:12 UTC
*** Bug 198692 has been marked as a duplicate of this bug. ***
Comment 159 Christoph Feck 2010-02-25 02:18:24 UTC
*** Bug 228401 has been marked as a duplicate of this bug. ***
Comment 160 Christoph Feck 2010-11-18 16:32:57 UTC
*** Bug 257252 has been marked as a duplicate of this bug. ***